=== modified file 'NEWS'
--- NEWS	2010-05-11 08:44:59 +0000
+++ NEWS	2010-05-06 07:48:22 +0000
@@ -13,19 +13,6 @@
 Compatibility Breaks
 ********************
 
-* An API break has been made to the lock_write method of ``Branch`` and
-  ``Repository`` objects; they now return ``branch.BranchWriteLockResult``
-  and ``repository.RepositoryWriteLockResult`` objects. This makes
-  changing the API in future easier and permits some cleaner calling code.
-  The lock_read method has also changed from having no defined return
-  value to returning ``LogicalLockResult`` objects.
-  (Robert Collins)
-
-* ``bzr`` does not try to guess the username as ``username@hostname``
-  and requires it to be explictly set. This can be set using ``bzr
-  whoami``.
-  (Parth Malwankar, #549310)
-
 New Features
 ************
 
@@ -43,16 +30,6 @@
   pack operation.
   (Parth Malwankar, #304320)
 
-* New command line option ``--authors`` to ``bzr log`` allows users to
-  select which of the apparent authors and committer should be
-  included in the log. Defaults depend on format. (Martin von Gagern, #513322)
-
-* Support ``--directory`` option for a number of additional commands:
-  added, annotate, bind, cat, cat-revision, clean-tree, deleted,
-  export, ignore, ignored, lookup-revision, ls, modified, nick,
-  re-sign, unbind, unknowns.
-  (Martin von Gagern, #527878)
-
 Bug Fixes
 *********
 
@@ -61,22 +38,11 @@
   better with sudo.
   (Martin <gzlist@googlemail.com>, Parth Malwankar, #376388)
 
-* ``bzr clean-tree`` should not delete nested bzrdirs. Required for proper
-  support of bzr-externals and scmproj plugins.
-  (Alexander Belchenko, bug #572098)
-
-* ``bzr ignore`` will no longer add duplicate patterns to .bzrignore.
-  (Gordon Tyler, #572092)
-
 * ``bzr log --exclude-common-ancestry -r X..Y`` displays the revisions that
   are part of Y ancestry but not part of X ancestry (aka the graph
   difference).
   (Vincent Ladeuil, #320119)
 
-* ``bzr rm`` should not refuse to delete directories which contained a file
-  which has been moved elsewhere in the tree after the previous commit.
-  (Marius Kruger, Daniel Watkins, #129880)
-
 * ``bzr selftest --parallel=fork`` wait for its children avoiding zombies.
   (Vincent Ladeuil, #566670)
 
@@ -90,10 +56,6 @@
   versions before 1.6.
   (Andrew Bennetts, #528041)
 
-* Heavyweight checkout operation now shows a message to the user indicating
-  history is being copied.
-  (Parth Malwankar, #538868)
-
 * Reduce peak memory by one copy of compressed text.
   (John Arbash Meinel, #566940)
 
@@ -101,17 +63,6 @@
   more comprehensible.
   (Martin Pool, #491763)
 
-* Unicode characters in aliases are now handled correctly and do not cause
-  UnicodeEncodeError exception. (Parth Malwankar, #529930)
-
-* Unicode commit messages that are the same as a file name no longer cause
-  UnicodeEncodeError. ``ui.text.show_warning`` now handles unicode
-  messages.
-  (Parth Malwankar, #563646)
-
-* Using bzr with `lp:` urls behind an http proxy should work.
-  (Robert Collins, #558343)
-
 Improvements
 ************
 
@@ -123,10 +74,6 @@
   (case-sensitive) as false.
   (Brian de Alwis, Vincent Ladeuil)
 
-* ``bzr ls`` now supports short options for existing long options.
-  ``-k/--kind``, ``-i/--ignored``, ``-u/--unknown`` and ``-0/--null``.
-  (Parth Malwankar, #181124)
-
 * ``Config.get_user_option_as_bool`` will now warn if a value cannot
   be interpreted as a boolean.
   (Vincent Ladeuil)
@@ -149,27 +96,9 @@
   implementations.
   (Martin Pool)
 
-* Lock methods on ``Tree``, ``Branch`` and ``Repository`` are now
-  expected to return an object which can be used to unlock them. This reduces
-  duplicate code when using cleanups. The previous 'tokens's returned by
-  ``Branch.lock_write`` and ``Repository.lock_write`` are now attributes
-  on the result of the lock_write. ``repository.RepositoryWriteLockResult``
-  and ``branch.BranchWriteLockResult`` document this. (Robert Collins)
-
-* ``Repository.refresh_data`` may now be called in a write group on
-  pack-based repositories.  Older repositories will still raise an error
-  in this case.  Subclasses of ``Repository`` can still override
-  ``Repository._refresh_data``, but are now responsible for raising
-  ``bzrlib.repository.IsInWriteGroupError`` if they do not support
-  ``refresh_data`` during a write group.
-  (Andrew Bennetts, #574236)
-
 Internals
 *********
 
-* ``log._get_info_for_log_files`` now takes an add_cleanup callable.
-  (Robert Collins)
-
 * ``_remember_remote_is_before`` no longer raises AssertionError when
   suboptimal network behaviour is noticed; instead it just mutters to the
   log file (and warns the user if they have set the ``hpss`` debug flag).
@@ -303,9 +232,6 @@
 * ``bzrlib.diff.get_trees_and_branches_to_diff`` is deprecated.  Use
   ``get_trees_and_branches_to_diff_locked`` instead.
   (Andrew Bennetts)
-
-* ``TreeTransform.commit`` supports the full set of commit parameters, and
-  auto-determines branch nick if not supplied.  (Aaron Bentley)
   
 Internals
 *********

=== modified file 'bzrlib/_chk_map_pyx.pyx'
--- bzrlib/_chk_map_pyx.pyx	2010-04-29 22:08:34 +0000
+++ bzrlib/_chk_map_pyx.pyx	2010-02-17 17:11:16 +0000
@@ -36,7 +36,6 @@
     int PyString_CheckExact(object)
     char *PyString_AS_STRING(object s)
     Py_ssize_t PyString_GET_SIZE(object)
-    unsigned long PyInt_AsUnsignedLongMask(object) except? -1
 
     int PyDict_SetItem(object d, object k, object v) except -1
 
@@ -64,8 +63,12 @@
     PyObject * StaticTuple_GET_ITEM_ptr "StaticTuple_GET_ITEM" (StaticTuple,
                                                                 Py_ssize_t)
 
-cdef object crc32
-from zlib import crc32
+cdef extern from "zlib.h":
+    ctypedef unsigned long uLong
+    ctypedef unsigned int uInt
+    ctypedef unsigned char Bytef
+
+    uLong crc32(uLong crc, Bytef *buf, uInt len)
 
 
 # Set up the StaticTuple C_API functionality
@@ -98,10 +101,15 @@
     cdef Py_ssize_t num_bits
     cdef Py_ssize_t i, j
     cdef Py_ssize_t num_out_bytes
-    cdef unsigned long crc_val
+    cdef Bytef *c_bit
+    cdef uLong c_len
+    cdef uInt crc_val
     cdef Py_ssize_t out_off
     cdef char *c_out
+    cdef PyObject *bit
 
+    if not StaticTuple_CheckExact(key):
+        raise TypeError('key %r is not a StaticTuple' % (key,))
     num_bits = len(key)
     # 4 bytes per crc32, and another 1 byte between bits
     num_out_bytes = (9 * num_bits) - 1
@@ -111,7 +119,15 @@
         if i > 0:
             c_out[0] = c'\x00'
             c_out = c_out + 1
-        crc_val = PyInt_AsUnsignedLongMask(crc32(key[i]))
+        # We use the _ptr variant, because GET_ITEM returns a borrowed
+        # reference, and Pyrex assumes that returned 'object' are a new
+        # reference
+        bit = StaticTuple_GET_ITEM_ptr(key, i)
+        if not PyString_CheckExact_ptr(bit):
+            raise TypeError('Bit %d of %r is not a string' % (i, key))
+        c_bit = <Bytef *>PyString_AS_STRING_ptr(bit)
+        c_len = PyString_GET_SIZE_ptr(bit)
+        crc_val = crc32(0, c_bit, c_len)
         # Hex(val) order
         sprintf(c_out, '%08X', crc_val)
         c_out = c_out + 8
@@ -123,10 +139,15 @@
     cdef Py_ssize_t num_bits
     cdef Py_ssize_t i, j
     cdef Py_ssize_t num_out_bytes
-    cdef unsigned long crc_val
+    cdef Bytef *c_bit
+    cdef uLong c_len
+    cdef uInt crc_val
     cdef Py_ssize_t out_off
     cdef char *c_out
+    cdef PyObject *bit
 
+    if not StaticTuple_CheckExact(key):
+        raise TypeError('key %r is not a StaticTuple' % (key,))
     num_bits = len(key)
     # 4 bytes per crc32, and another 1 byte between bits
     num_out_bytes = (5 * num_bits) - 1
@@ -136,7 +157,13 @@
         if i > 0:
             c_out[0] = c'\x00'
             c_out = c_out + 1
-        crc_val = PyInt_AsUnsignedLongMask(crc32(key[i]))
+        bit = StaticTuple_GET_ITEM_ptr(key, i)
+        if not PyString_CheckExact_ptr(bit):
+            raise TypeError('Bit %d of %r is not a string: %r'
+                            % (i, key, <object>bit))
+        c_bit = <Bytef *>PyString_AS_STRING_ptr(bit)
+        c_len = PyString_GET_SIZE_ptr(bit)
+        crc_val = crc32(0, c_bit, c_len)
         # MSB order
         c_out[0] = (crc_val >> 24) & 0xFF
         c_out[1] = (crc_val >> 16) & 0xFF

=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2010-05-11 08:44:59 +0000
+++ bzrlib/branch.py	2010-04-28 09:40:23 +0000
@@ -49,7 +49,7 @@
 from bzrlib.decorators import needs_read_lock, needs_write_lock, only_raises
 from bzrlib.hooks import HookPoint, Hooks
 from bzrlib.inter import InterObject
-from bzrlib.lock import _RelockDebugMixin, LogicalLockResult
+from bzrlib.lock import _RelockDebugMixin
 from bzrlib import registry
 from bzrlib.symbol_versioning import (
     deprecated_in,
@@ -283,20 +283,10 @@
         new_history.reverse()
         return new_history
 
-    def lock_write(self, token=None):
-        """Lock the branch for write operations.
-
-        :param token: A token to permit reacquiring a previously held and
-            preserved lock.
-        :return: A BranchWriteLockResult.
-        """
+    def lock_write(self):
         raise NotImplementedError(self.lock_write)
 
     def lock_read(self):
-        """Lock the branch for read operations.
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
         raise NotImplementedError(self.lock_read)
 
     def unlock(self):
@@ -1356,8 +1346,6 @@
         """
         # XXX: Fix the bzrdir API to allow getting the branch back from the
         # clone call. Or something. 20090224 RBC/spiv.
-        # XXX: Should this perhaps clone colocated branches as well, 
-        # rather than just the default branch? 20100319 JRV
         if revision_id is None:
             revision_id = self.last_revision()
         dir_to = self.bzrdir.clone_on_transport(to_transport,
@@ -1533,7 +1521,7 @@
         """Return the current default format."""
         return klass._default_format
 
-    def get_reference(self, a_bzrdir, name=None):
+    def get_reference(self, a_bzrdir):
         """Get the target reference of the branch in a_bzrdir.
 
         format probing must have been completed before calling
@@ -1541,13 +1529,12 @@
         in a_bzrdir is correct.
 
         :param a_bzrdir: The bzrdir to get the branch data from.
-        :param name: Name of the colocated branch to fetch
         :return: None if the branch is not a reference branch.
         """
         return None
 
     @classmethod
-    def set_reference(self, a_bzrdir, name, to_branch):
+    def set_reference(self, a_bzrdir, to_branch):
         """Set the target reference of the branch in a_bzrdir.
 
         format probing must have been completed before calling
@@ -1555,7 +1542,6 @@
         in a_bzrdir is correct.
 
         :param a_bzrdir: The bzrdir to set the branch reference for.
-        :param name: Name of colocated branch to set, None for default
         :param to_branch: branch that the checkout is to reference
         """
         raise NotImplementedError(self.set_reference)
@@ -2171,14 +2157,14 @@
         """See BranchFormat.get_format_description()."""
         return "Checkout reference format 1"
 
-    def get_reference(self, a_bzrdir, name=None):
+    def get_reference(self, a_bzrdir):
         """See BranchFormat.get_reference()."""
-        transport = a_bzrdir.get_branch_transport(None, name=name)
+        transport = a_bzrdir.get_branch_transport(None)
         return transport.get_bytes('location')
 
-    def set_reference(self, a_bzrdir, name, to_branch):
+    def set_reference(self, a_bzrdir, to_branch):
         """See BranchFormat.set_reference()."""
-        transport = a_bzrdir.get_branch_transport(None, name=name)
+        transport = a_bzrdir.get_branch_transport(None)
         location = transport.put_bytes('location', to_branch.base)
 
     def initialize(self, a_bzrdir, name=None, target_branch=None):
@@ -2235,7 +2221,7 @@
                 raise AssertionError("wrong format %r found for %r" %
                     (format, self))
         if location is None:
-            location = self.get_reference(a_bzrdir, name)
+            location = self.get_reference(a_bzrdir)
         real_bzrdir = bzrdir.BzrDir.open(
             location, possible_transports=possible_transports)
         result = real_bzrdir.open_branch(name=name, 
@@ -2279,23 +2265,6 @@
     _legacy_formats[0].network_name(), _legacy_formats[0].__class__)
 
 
-class BranchWriteLockResult(LogicalLockResult):
-    """The result of write locking a branch.
-
-    :ivar branch_token: The token obtained from the underlying branch lock, or
-        None.
-    :ivar unlock: A callable which will unlock the lock.
-    """
-
-    def __init__(self, unlock, branch_token):
-        LogicalLockResult.__init__(self, unlock)
-        self.branch_token = branch_token
-
-    def __repr__(self):
-        return "BranchWriteLockResult(%s, %s)" % (self.branch_token,
-            self.unlock)
-
-
 class BzrBranch(Branch, _RelockDebugMixin):
     """A branch stored in the actual filesystem.
 
@@ -2355,12 +2324,6 @@
         return self.control_files.is_locked()
 
     def lock_write(self, token=None):
-        """Lock the branch for write operations.
-
-        :param token: A token to permit reacquiring a previously held and
-            preserved lock.
-        :return: A BranchWriteLockResult.
-        """
         if not self.is_locked():
             self._note_lock('w')
         # All-in-one needs to always unlock/lock.
@@ -2372,18 +2335,13 @@
         else:
             took_lock = False
         try:
-            return BranchWriteLockResult(self.unlock,
-                self.control_files.lock_write(token=token))
+            return self.control_files.lock_write(token=token)
         except:
             if took_lock:
                 self.repository.unlock()
             raise
 
     def lock_read(self):
-        """Lock the branch for read operations.
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
         if not self.is_locked():
             self._note_lock('r')
         # All-in-one needs to always unlock/lock.
@@ -2396,7 +2354,6 @@
             took_lock = False
         try:
             self.control_files.lock_read()
-            return LogicalLockResult(self.unlock)
         except:
             if took_lock:
                 self.repository.unlock()

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2010-05-11 08:44:59 +0000
+++ bzrlib/builtins.py	2010-05-03 09:07:50 +0000
@@ -232,14 +232,6 @@
     return view_info
 
 
-def _open_directory_or_containing_tree_or_branch(filename, directory):
-    """Open the tree or branch containing the specified file, unless
-    the --directory option is used to specify a different branch."""
-    if directory is not None:
-        return (None, Branch.open(directory), filename)
-    return bzrdir.BzrDir.open_containing_tree_or_branch(filename)
-
-
 # TODO: Make sure no commands unconditionally use the working directory as a
 # branch.  If a filename argument is used, the first of them should be used to
 # specify the branch.  (Perhaps this can be factored out into some kind of
@@ -348,7 +340,7 @@
 
     hidden = True
     takes_args = ['revision_id?']
-    takes_options = ['directory', 'revision']
+    takes_options = ['revision']
     # cat-revision is more for frontends so should be exact
     encoding = 'strict'
 
@@ -361,14 +353,14 @@
         self.outf.write(revtext.decode('utf-8'))
 
     @display_command
-    def run(self, revision_id=None, revision=None, directory=u'.'):
+    def run(self, revision_id=None, revision=None):
         if revision_id is not None and revision is not None:
             raise errors.BzrCommandError('You can only supply one of'
                                          ' revision_id or --revision')
         if revision_id is None and revision is None:
             raise errors.BzrCommandError('You must supply either'
                                          ' --revision or a revision_id')
-        b = WorkingTree.open_containing(directory)[0].branch
+        b = WorkingTree.open_containing(u'.')[0].branch
 
         revisions = b.repository.revisions
         if revisions is None:
@@ -536,9 +528,10 @@
         if tree:
             try:
                 wt = WorkingTree.open_containing(location)[0]
-                self.add_cleanup(wt.lock_read().unlock)
+                wt.lock_read()
             except (errors.NoWorkingTree, errors.NotLocalUrl):
                 raise errors.NoWorkingTree(location)
+            self.add_cleanup(wt.unlock)
             revid = wt.last_revision()
             try:
                 revno_t = wt.branch.revision_id_to_dotted_revno(revid)
@@ -547,7 +540,8 @@
             revno = ".".join(str(n) for n in revno_t)
         else:
             b = Branch.open_containing(location)[0]
-            self.add_cleanup(b.lock_read().unlock)
+            b.lock_read()
+            self.add_cleanup(b.unlock)
             revno = b.revno()
         self.cleanup_now()
         self.outf.write(str(revno) + '\n')
@@ -560,9 +554,12 @@
     takes_args = ['revision_info*']
     takes_options = [
         'revision',
-        custom_help('directory',
+        Option('directory',
             help='Branch to examine, '
-                 'rather than the one containing the working directory.'),
+                 'rather than the one containing the working directory.',
+            short_name='d',
+            type=unicode,
+            ),
         Option('tree', help='Show revno of working tree'),
         ]
 
@@ -573,11 +570,13 @@
         try:
             wt = WorkingTree.open_containing(directory)[0]
             b = wt.branch
-            self.add_cleanup(wt.lock_read().unlock)
+            wt.lock_read()
+            self.add_cleanup(wt.unlock)
         except (errors.NoWorkingTree, errors.NotLocalUrl):
             wt = None
             b = Branch.open_containing(directory)[0]
-            self.add_cleanup(b.lock_read().unlock)
+            b.lock_read()
+            self.add_cleanup(b.unlock)
         revision_ids = []
         if revision is not None:
             revision_ids.extend(rev.as_revision_id(b) for rev in revision)
@@ -682,7 +681,8 @@
                 should_print=(not is_quiet()))
 
         if base_tree:
-            self.add_cleanup(base_tree.lock_read().unlock)
+            base_tree.lock_read()
+            self.add_cleanup(base_tree.unlock)
         tree, file_list = tree_files_for_add(file_list)
         added, ignored = tree.smart_add(file_list, not
             no_recurse, action=action, save=not dry_run)
@@ -760,12 +760,14 @@
 
         revision = _get_one_revision('inventory', revision)
         work_tree, file_list = tree_files(file_list)
-        self.add_cleanup(work_tree.lock_read().unlock)
+        work_tree.lock_read()
+        self.add_cleanup(work_tree.unlock)
         if revision is not None:
             tree = revision.as_tree(work_tree.branch)
 
             extra_trees = [work_tree]
-            self.add_cleanup(tree.lock_read().unlock)
+            tree.lock_read()
+            self.add_cleanup(tree.unlock)
         else:
             tree = work_tree
             extra_trees = []
@@ -831,7 +833,8 @@
         if len(names_list) < 2:
             raise errors.BzrCommandError("missing file argument")
         tree, rel_names = tree_files(names_list, canonicalize=False)
-        self.add_cleanup(tree.lock_tree_write().unlock)
+        tree.lock_tree_write()
+        self.add_cleanup(tree.unlock)
         self._run(tree, names_list, rel_names, after)
 
     def run_auto(self, names_list, after, dry_run):
@@ -842,7 +845,8 @@
             raise errors.BzrCommandError('--after cannot be specified with'
                                          ' --auto.')
         work_tree, file_list = tree_files(names_list, default_branch='.')
-        self.add_cleanup(work_tree.lock_tree_write().unlock)
+        work_tree.lock_tree_write()
+        self.add_cleanup(work_tree.unlock)
         rename_map.RenameMap.guess_renames(work_tree, dry_run)
 
     def _run(self, tree, names_list, rel_names, after):
@@ -956,9 +960,12 @@
     takes_options = ['remember', 'overwrite', 'revision',
         custom_help('verbose',
             help='Show logs of pulled revisions.'),
-        custom_help('directory',
+        Option('directory',
             help='Branch to pull into, '
-                 'rather than the one containing the working directory.'),
+                 'rather than the one containing the working directory.',
+            short_name='d',
+            type=unicode,
+            ),
         Option('local',
             help="Perform a local pull in a bound "
                  "branch.  Local pulls are not applied to "
@@ -979,11 +986,13 @@
         try:
             tree_to = WorkingTree.open_containing(directory)[0]
             branch_to = tree_to.branch
-            self.add_cleanup(tree_to.lock_write().unlock)
+            tree_to.lock_write()
+            self.add_cleanup(tree_to.unlock)
         except errors.NoWorkingTree:
             tree_to = None
             branch_to = Branch.open_containing(directory)[0]
-            self.add_cleanup(branch_to.lock_write().unlock)
+            branch_to.lock_write()
+            self.add_cleanup(branch_to.unlock)
 
         if local and not branch_to.get_bound_location():
             raise errors.LocalRequiresBoundBranch()
@@ -1020,7 +1029,8 @@
         else:
             branch_from = Branch.open(location,
                 possible_transports=possible_transports)
-            self.add_cleanup(branch_from.lock_read().unlock)
+            branch_from.lock_read()
+            self.add_cleanup(branch_from.unlock)
 
             if branch_to.get_parent() is None or remember:
                 branch_to.set_parent(branch_from.base)
@@ -1078,9 +1088,12 @@
         Option('create-prefix',
                help='Create the path leading up to the branch '
                     'if it does not already exist.'),
-        custom_help('directory',
+        Option('directory',
             help='Branch to push from, '
-                 'rather than the one containing the working directory.'),
+                 'rather than the one containing the working directory.',
+            short_name='d',
+            type=unicode,
+            ),
         Option('use-existing-dir',
                help='By default push will fail if the target'
                     ' directory exists, but does not already'
@@ -1206,7 +1219,8 @@
         accelerator_tree, br_from = bzrdir.BzrDir.open_tree_or_branch(
             from_location)
         revision = _get_one_revision('branch', revision)
-        self.add_cleanup(br_from.lock_read().unlock)
+        br_from.lock_read()
+        self.add_cleanup(br_from.unlock)
         if revision is not None:
             revision_id = revision.as_revision_id(br_from)
         else:
@@ -1336,11 +1350,6 @@
             except errors.NoWorkingTree:
                 source.bzrdir.create_workingtree(revision_id)
                 return
-
-        if not lightweight:
-            message = ('Copying history to "%s". '
-                'To checkout without local history use --lightweight.' % to_location)
-            ui.ui_factory.show_message(message)
         source.create_checkout(to_location, revision_id, lightweight,
                                accelerator_tree, hardlink)
 
@@ -1357,10 +1366,12 @@
     @display_command
     def run(self, dir=u'.'):
         tree = WorkingTree.open_containing(dir)[0]
-        self.add_cleanup(tree.lock_read().unlock)
+        tree.lock_read()
+        self.add_cleanup(tree.unlock)
         new_inv = tree.inventory
         old_tree = tree.basis_tree()
-        self.add_cleanup(old_tree.lock_read().unlock)
+        old_tree.lock_read()
+        self.add_cleanup(old_tree.unlock)
         old_inv = old_tree.inventory
         renames = []
         iterator = tree.iter_changes(old_tree, include_unchanged=True)
@@ -1404,11 +1415,11 @@
         master = branch.get_master_branch(
             possible_transports=possible_transports)
         if master is not None:
+            tree.lock_write()
             branch_location = master.base
-            tree.lock_write()
         else:
+            tree.lock_tree_write()
             branch_location = tree.branch.base
-            tree.lock_tree_write()
         self.add_cleanup(tree.unlock)
         # get rid of the final '/' and be ready for display
         branch_location = urlutils.unescape_for_display(
@@ -1534,7 +1545,8 @@
         if file_list is not None:
             file_list = [f for f in file_list]
 
-        self.add_cleanup(tree.lock_write().unlock)
+        tree.lock_write()
+        self.add_cleanup(tree.unlock)
         # Heuristics should probably all move into tree.remove_smart or
         # some such?
         if new:
@@ -1991,14 +2003,16 @@
     # level of effort but possibly much less IO.  (Or possibly not,
     # if the directories are very large...)
     _see_also = ['status', 'ls']
-    takes_options = ['directory', 'show-ids']
+    takes_options = ['show-ids']
 
     @display_command
-    def run(self, show_ids=False, directory=u'.'):
-        tree = WorkingTree.open_containing(directory)[0]
-        self.add_cleanup(tree.lock_read().unlock)
+    def run(self, show_ids=False):
+        tree = WorkingTree.open_containing(u'.')[0]
+        tree.lock_read()
+        self.add_cleanup(tree.unlock)
         old = tree.basis_tree()
-        self.add_cleanup(old.lock_read().unlock)
+        old.lock_read()
+        self.add_cleanup(old.unlock)
         for path, ie in old.inventory.iter_entries():
             if not tree.has_id(ie.file_id):
                 self.outf.write(path)
@@ -2014,11 +2028,15 @@
 
     hidden = True
     _see_also = ['status', 'ls']
-    takes_options = ['directory', 'null']
+    takes_options = [
+            Option('null',
+                   help='Write an ascii NUL (\\0) separator '
+                   'between files rather than a newline.')
+            ]
 
     @display_command
-    def run(self, null=False, directory=u'.'):
-        tree = WorkingTree.open_containing(directory)[0]
+    def run(self, null=False):
+        tree = WorkingTree.open_containing(u'.')[0]
         td = tree.changes_from(tree.basis_tree())
         for path, id, kind, text_modified, meta_modified in td.modified:
             if null:
@@ -2033,14 +2051,20 @@
 
     hidden = True
     _see_also = ['status', 'ls']
-    takes_options = ['directory', 'null']
+    takes_options = [
+            Option('null',
+                   help='Write an ascii NUL (\\0) separator '
+                   'between files rather than a newline.')
+            ]
 
     @display_command
-    def run(self, null=False, directory=u'.'):
-        wt = WorkingTree.open_containing(directory)[0]
-        self.add_cleanup(wt.lock_read().unlock)
+    def run(self, null=False):
+        wt = WorkingTree.open_containing(u'.')[0]
+        wt.lock_read()
+        self.add_cleanup(wt.unlock)
         basis = wt.basis_tree()
-        self.add_cleanup(basis.lock_read().unlock)
+        basis.lock_read()
+        self.add_cleanup(basis.unlock)
         basis_inv = basis.inventory
         inv = wt.inventory
         for file_id in inv:
@@ -2049,7 +2073,7 @@
             if inv.is_root(file_id) and len(basis_inv) == 0:
                 continue
             path = inv.id2path(file_id)
-            if not os.access(osutils.pathjoin(wt.basedir, path), os.F_OK):
+            if not os.access(osutils.abspath(path), os.F_OK):
                 continue
             if null:
                 self.outf.write(path + '\0')
@@ -2255,11 +2279,6 @@
                    help='Show just the specified revision.'
                    ' See also "help revisionspec".'),
             'log-format',
-            RegistryOption('authors',
-                'What names to list as authors - first, all or committer.',
-                title='Authors',
-                lazy_registry=('bzrlib.log', 'author_list_registry'),
-            ),
             Option('levels',
                    short_name='n',
                    help='Number of levels to display - 0 for all, 1 for flat.',
@@ -2300,7 +2319,6 @@
             limit=None,
             show_diff=False,
             include_merges=False,
-            authors=None,
             exclude_common_ancestry=False,
             ):
         from bzrlib.log import (
@@ -2334,7 +2352,8 @@
         if file_list:
             # find the file ids to log and check for directory filtering
             b, file_info_list, rev1, rev2 = _get_info_for_log_files(
-                revision, file_list, self.add_cleanup)
+                revision, file_list)
+            self.add_cleanup(b.unlock)
             for relpath, file_id, kind in file_info_list:
                 if file_id is None:
                     raise errors.BzrCommandError(
@@ -2358,7 +2377,8 @@
                 location = '.'
             dir, relpath = bzrdir.BzrDir.open_containing(location)
             b = dir.open_branch()
-            self.add_cleanup(b.lock_read().unlock)
+            b.lock_read()
+            self.add_cleanup(b.unlock)
             rev1, rev2 = _get_revision_range(revision, b, self.name())
 
         # Decide on the type of delta & diff filtering to use
@@ -2384,8 +2404,7 @@
                         show_timezone=timezone,
                         delta_format=get_verbosity_level(),
                         levels=levels,
-                        show_advice=levels is None,
-                        author_list_handler=authors)
+                        show_advice=levels is None)
 
         # Choose the algorithm for doing the logging. It's annoying
         # having multiple code paths like this but necessary until
@@ -2489,7 +2508,8 @@
         tree, relpath = WorkingTree.open_containing(filename)
         file_id = tree.path2id(relpath)
         b = tree.branch
-        self.add_cleanup(b.lock_read().unlock)
+        b.lock_read()
+        self.add_cleanup(b.unlock)
         touching_revs = log.find_touching_revisions(b, file_id)
         for revno, revision_id, what in touching_revs:
             self.outf.write("%6d %s\n" % (revno, what))
@@ -2508,24 +2528,23 @@
                    help='Recurse into subdirectories.'),
             Option('from-root',
                    help='Print paths relative to the root of the branch.'),
-            Option('unknown', short_name='u',
-                help='Print unknown files.'),
+            Option('unknown', help='Print unknown files.'),
             Option('versioned', help='Print versioned files.',
                    short_name='V'),
-            Option('ignored', short_name='i',
-                help='Print ignored files.'),
-            Option('kind', short_name='k',
+            Option('ignored', help='Print ignored files.'),
+            Option('null',
+                   help='Write an ascii NUL (\\0) separator '
+                   'between files rather than a newline.'),
+            Option('kind',
                    help='List entries of a particular kind: file, directory, symlink.',
                    type=unicode),
-            'null',
             'show-ids',
-            'directory',
             ]
     @display_command
     def run(self, revision=None, verbose=False,
             recursive=False, from_root=False,
             unknown=False, versioned=False, ignored=False,
-            null=False, kind=None, show_ids=False, path=None, directory=None):
+            null=False, kind=None, show_ids=False, path=None):
 
         if kind and kind not in ('file', 'directory', 'symlink'):
             raise errors.BzrCommandError('invalid kind specified')
@@ -2543,8 +2562,8 @@
                 raise errors.BzrCommandError('cannot specify both --from-root'
                                              ' and PATH')
             fs_path = path
-        tree, branch, relpath = \
-            _open_directory_or_containing_tree_or_branch(fs_path, directory)
+        tree, branch, relpath = bzrdir.BzrDir.open_containing_tree_or_branch(
+            fs_path)
 
         # Calculate the prefix to use
         prefix = None
@@ -2565,7 +2584,8 @@
                 view_str = views.view_display_str(view_files)
                 note("Ignoring files outside view. View is %s" % view_str)
 
-        self.add_cleanup(tree.lock_read().unlock)
+        tree.lock_read()
+        self.add_cleanup(tree.unlock)
         for fp, fc, fkind, fid, entry in tree.list_files(include_root=False,
             from_dir=relpath, recursive=recursive):
             # Apply additional masking
@@ -2618,11 +2638,10 @@
 
     hidden = True
     _see_also = ['ls']
-    takes_options = ['directory']
 
     @display_command
-    def run(self, directory=u'.'):
-        for f in WorkingTree.open_containing(directory)[0].unknowns():
+    def run(self):
+        for f in WorkingTree.open_containing(u'.')[0].unknowns():
             self.outf.write(osutils.quotefn(f) + '\n')
 
 
@@ -2693,13 +2712,12 @@
 
     _see_also = ['status', 'ignored', 'patterns']
     takes_args = ['name_pattern*']
-    takes_options = ['directory',
+    takes_options = [
         Option('default-rules',
                help='Display the default ignore rules that bzr uses.')
         ]
 
-    def run(self, name_pattern_list=None, default_rules=None,
-            directory=u'.'):
+    def run(self, name_pattern_list=None, default_rules=None):
         from bzrlib import ignores
         if default_rules is not None:
             # dump the default rules and exit
@@ -2716,7 +2734,7 @@
                 (len(name_pattern) > 1 and name_pattern[1] == ':')):
                 raise errors.BzrCommandError(
                     "NAME_PATTERN should not be an absolute path")
-        tree, relpath = WorkingTree.open_containing(directory)
+        tree, relpath = WorkingTree.open_containing(u'.')
         ignores.tree_ignores_add_patterns(tree, name_pattern_list)
         ignored = globbing.Globster(name_pattern_list)
         matches = []
@@ -2748,12 +2766,12 @@
 
     encoding_type = 'replace'
     _see_also = ['ignore', 'ls']
-    takes_options = ['directory']
 
     @display_command
-    def run(self, directory=u'.'):
-        tree = WorkingTree.open_containing(directory)[0]
-        self.add_cleanup(tree.lock_read().unlock)
+    def run(self):
+        tree = WorkingTree.open_containing(u'.')[0]
+        tree.lock_read()
+        self.add_cleanup(tree.unlock)
         for path, file_class, kind, file_id, entry in tree.list_files():
             if file_class != 'I':
                 continue
@@ -2770,16 +2788,15 @@
     """
     hidden = True
     takes_args = ['revno']
-    takes_options = ['directory']
 
     @display_command
-    def run(self, revno, directory=u'.'):
+    def run(self, revno):
         try:
             revno = int(revno)
         except ValueError:
             raise errors.BzrCommandError("not a valid revision-number: %r"
                                          % revno)
-        revid = WorkingTree.open_containing(directory)[0].branch.get_rev_id(revno)
+        revid = WorkingTree.open_containing(u'.')[0].branch.get_rev_id(revno)
         self.outf.write("%s\n" % revid)
 
 
@@ -2812,7 +2829,7 @@
       =================       =========================
     """
     takes_args = ['dest', 'branch_or_subdir?']
-    takes_options = ['directory',
+    takes_options = [
         Option('format',
                help="Type of file to export to.",
                type=unicode),
@@ -2827,11 +2844,11 @@
                     'revision in which it was changed.'),
         ]
     def run(self, dest, branch_or_subdir=None, revision=None, format=None,
-        root=None, filters=False, per_file_timestamps=False, directory=u'.'):
+        root=None, filters=False, per_file_timestamps=False):
         from bzrlib.export import export
 
         if branch_or_subdir is None:
-            tree = WorkingTree.open_containing(directory)[0]
+            tree = WorkingTree.open_containing(u'.')[0]
             b = tree.branch
             subdir = None
         else:
@@ -2856,7 +2873,7 @@
     """
 
     _see_also = ['ls']
-    takes_options = ['directory',
+    takes_options = [
         Option('name-from-revision', help='The path name in the old tree.'),
         Option('filters', help='Apply content filters to display the '
                 'convenience form.'),
@@ -2867,13 +2884,14 @@
 
     @display_command
     def run(self, filename, revision=None, name_from_revision=False,
-            filters=False, directory=None):
+            filters=False):
         if revision is not None and len(revision) != 1:
             raise errors.BzrCommandError("bzr cat --revision takes exactly"
                                          " one revision specifier")
         tree, branch, relpath = \
-            _open_directory_or_containing_tree_or_branch(filename, directory)
-        self.add_cleanup(branch.lock_read().unlock)
+            bzrdir.BzrDir.open_containing_tree_or_branch(filename)
+        branch.lock_read()
+        self.add_cleanup(branch.unlock)
         return self._run(tree, branch, relpath, filename, revision,
                          name_from_revision, filters)
 
@@ -2882,7 +2900,8 @@
         if tree is None:
             tree = b.basis_tree()
         rev_tree = _get_one_revision_tree('cat', revision, branch=b)
-        self.add_cleanup(rev_tree.lock_read().unlock)
+        rev_tree.lock_read()
+        self.add_cleanup(rev_tree.unlock)
 
         old_file_id = rev_tree.path2id(relpath)
 
@@ -3361,9 +3380,8 @@
 
     _see_also = ['info']
     takes_args = ['nickname?']
-    takes_options = ['directory']
-    def run(self, nickname=None, directory=u'.'):
-        branch = Branch.open_containing(directory)[0]
+    def run(self, nickname=None):
+        branch = Branch.open_containing(u'.')[0]
         if nickname is None:
             self.printme(branch)
         else:
@@ -3672,8 +3690,10 @@
 
         branch1 = Branch.open_containing(branch)[0]
         branch2 = Branch.open_containing(other)[0]
-        self.add_cleanup(branch1.lock_read().unlock)
-        self.add_cleanup(branch2.lock_read().unlock)
+        branch1.lock_read()
+        self.add_cleanup(branch1.unlock)
+        branch2.lock_read()
+        self.add_cleanup(branch2.unlock)
         last1 = ensure_null(branch1.last_revision())
         last2 = ensure_null(branch2.last_revision())
 
@@ -3773,9 +3793,12 @@
                 ' completely merged into the source, pull from the'
                 ' source rather than merging.  When this happens,'
                 ' you do not need to commit the result.'),
-        custom_help('directory',
+        Option('directory',
                help='Branch to merge into, '
-                    'rather than the one containing the working directory.'),
+                    'rather than the one containing the working directory.',
+               short_name='d',
+               type=unicode,
+               ),
         Option('preview', help='Instead of merging, show a diff of the'
                ' merge.'),
         Option('interactive', help='Select changes interactively.',
@@ -3814,7 +3837,8 @@
             unversioned_filter=tree.is_ignored, view_info=view_info)
         pb = ui.ui_factory.nested_progress_bar()
         self.add_cleanup(pb.finished)
-        self.add_cleanup(tree.lock_write().unlock)
+        tree.lock_write()
+        self.add_cleanup(tree.unlock)
         if location is not None:
             try:
                 mergeable = bundle.read_mergeable_from_url(location,
@@ -4076,7 +4100,8 @@
         if merge_type is None:
             merge_type = _mod_merge.Merge3Merger
         tree, file_list = tree_files(file_list)
-        self.add_cleanup(tree.lock_write().unlock)
+        tree.lock_write()
+        self.add_cleanup(tree.unlock)
         parents = tree.get_parent_ids()
         if len(parents) != 2:
             raise errors.BzrCommandError("Sorry, remerge only works after normal"
@@ -4192,7 +4217,8 @@
     def run(self, revision=None, no_backup=False, file_list=None,
             forget_merges=None):
         tree, file_list = tree_files(file_list)
-        self.add_cleanup(tree.lock_tree_write().unlock)
+        tree.lock_tree_write()
+        self.add_cleanup(tree.unlock)
         if forget_merges:
             tree.set_parent_ids(tree.get_parent_ids()[:1])
         else:
@@ -4334,7 +4360,8 @@
             restrict = 'remote'
 
         local_branch = Branch.open_containing(u".")[0]
-        self.add_cleanup(local_branch.lock_read().unlock)
+        local_branch.lock_read()
+        self.add_cleanup(local_branch.unlock)
 
         parent = local_branch.get_parent()
         if other_branch is None:
@@ -4351,7 +4378,8 @@
         if remote_branch.base == local_branch.base:
             remote_branch = local_branch
         else:
-            self.add_cleanup(remote_branch.lock_read().unlock)
+            remote_branch.lock_read()
+            self.add_cleanup(remote_branch.unlock)
 
         local_revid_range = _revision_range_to_revid_range(
             _get_revision_range(my_revision, local_branch,
@@ -4412,7 +4440,8 @@
             message("Branches are up to date.\n")
         self.cleanup_now()
         if not status_code and parent is None and other_branch is not None:
-            self.add_cleanup(local_branch.lock_write().unlock)
+            local_branch.lock_write()
+            self.add_cleanup(local_branch.unlock)
             # handle race conditions - a parent might be set while we run.
             if local_branch.get_parent() is None:
                 local_branch.set_parent(remote_branch.base)
@@ -4518,7 +4547,8 @@
             b = Branch.open_containing(branch)[0]
         else:
             b = Branch.open(branch)
-        self.add_cleanup(b.lock_read().unlock)
+        b.lock_read()
+        self.add_cleanup(b.unlock)
         if revision is None:
             rev_id = b.last_revision()
         else:
@@ -4548,22 +4578,24 @@
                      Option('long', help='Show commit date in annotations.'),
                      'revision',
                      'show-ids',
-                     'directory',
                      ]
     encoding_type = 'exact'
 
     @display_command
     def run(self, filename, all=False, long=False, revision=None,
-            show_ids=False, directory=None):
+            show_ids=False):
         from bzrlib.annotate import annotate_file, annotate_file_tree
         wt, branch, relpath = \
-            _open_directory_or_containing_tree_or_branch(filename, directory)
+            bzrdir.BzrDir.open_containing_tree_or_branch(filename)
         if wt is not None:
-            self.add_cleanup(wt.lock_read().unlock)
+            wt.lock_read()
+            self.add_cleanup(wt.unlock)
         else:
-            self.add_cleanup(branch.lock_read().unlock)
+            branch.lock_read()
+            self.add_cleanup(branch.unlock)
         tree = _get_one_revision_tree('annotate', revision, branch=branch)
-        self.add_cleanup(tree.lock_read().unlock)
+        tree.lock_read()
+        self.add_cleanup(tree.unlock)
         if wt is not None:
             file_id = wt.path2id(relpath)
         else:
@@ -4587,15 +4619,16 @@
 
     hidden = True # is this right ?
     takes_args = ['revision_id*']
-    takes_options = ['directory', 'revision']
+    takes_options = ['revision']
 
-    def run(self, revision_id_list=None, revision=None, directory=u'.'):
+    def run(self, revision_id_list=None, revision=None):
         if revision_id_list is not None and revision is not None:
             raise errors.BzrCommandError('You can only supply one of revision_id or --revision')
         if revision_id_list is None and revision is None:
             raise errors.BzrCommandError('You must supply either --revision or a revision_id')
-        b = WorkingTree.open_containing(directory)[0].branch
-        self.add_cleanup(b.lock_write().unlock)
+        b = WorkingTree.open_containing(u'.')[0].branch
+        b.lock_write()
+        self.add_cleanup(b.unlock)
         return self._run(b, revision_id_list, revision)
 
     def _run(self, b, revision_id_list, revision):
@@ -4660,10 +4693,10 @@
 
     _see_also = ['checkouts', 'unbind']
     takes_args = ['location?']
-    takes_options = ['directory']
+    takes_options = []
 
-    def run(self, location=None, directory=u'.'):
-        b, relpath = Branch.open_containing(directory)
+    def run(self, location=None):
+        b, relpath = Branch.open_containing(u'.')
         if location is None:
             try:
                 location = b.get_old_bound_location()
@@ -4696,10 +4729,10 @@
 
     _see_also = ['checkouts', 'bind']
     takes_args = []
-    takes_options = ['directory']
+    takes_options = []
 
-    def run(self, directory=u'.'):
-        b, relpath = Branch.open_containing(directory)
+    def run(self):
+        b, relpath = Branch.open_containing(u'.')
         if not b.unbind():
             raise errors.BzrCommandError('Local branch is not bound')
 
@@ -4751,9 +4784,11 @@
             b = control.open_branch()
 
         if tree is not None:
-            self.add_cleanup(tree.lock_write().unlock)
+            tree.lock_write()
+            self.add_cleanup(tree.unlock)
         else:
-            self.add_cleanup(b.lock_write().unlock)
+            b.lock_write()
+            self.add_cleanup(b.unlock)
         return self._run(b, tree, dry_run, verbose, revision, force, local=local)
 
     def _run(self, b, tree, dry_run, verbose, revision, force, local=False):
@@ -4867,8 +4902,9 @@
                     'result in a dynamically allocated port.  The default port '
                     'depends on the protocol.',
                type=str),
-        custom_help('directory',
-               help='Serve contents of this directory.'),
+        Option('directory',
+               help='Serve contents of this directory.',
+               type=unicode),
         Option('allow-writes',
                help='By default the server is a readonly server.  Supplying '
                     '--allow-writes enables write access to the contents of '
@@ -5303,8 +5339,11 @@
         Option('delete',
             help='Delete this tag rather than placing it.',
             ),
-        custom_help('directory',
-            help='Branch in which to place the tag.'),
+        Option('directory',
+            help='Branch in which to place the tag.',
+            short_name='d',
+            type=unicode,
+            ),
         Option('force',
             help='Replace existing tags.',
             ),
@@ -5318,7 +5357,8 @@
             revision=None,
             ):
         branch, relpath = Branch.open_containing(directory)
-        self.add_cleanup(branch.lock_write().unlock)
+        branch.lock_write()
+        self.add_cleanup(branch.unlock)
         if delete:
             if tag_name is None:
                 raise errors.BzrCommandError("No tag specified to delete.")
@@ -5352,8 +5392,11 @@
 
     _see_also = ['tag']
     takes_options = [
-        custom_help('directory',
-            help='Branch whose tags should be displayed.'),
+        Option('directory',
+            help='Branch whose tags should be displayed.',
+            short_name='d',
+            type=unicode,
+            ),
         RegistryOption.from_kwargs('sort',
             'Sort tags by different criteria.', title='Sorting',
             alpha='Sort tags lexicographically (default).',
@@ -5376,7 +5419,8 @@
         if not tags:
             return
 
-        self.add_cleanup(branch.lock_read().unlock)
+        branch.lock_read()
+        self.add_cleanup(branch.unlock)
         if revision:
             graph = branch.repository.get_graph()
             rev1, rev2 = _get_revision_range(revision, branch, self.name())
@@ -5860,7 +5904,8 @@
 
     def run_for_list(self):
         tree = WorkingTree.open_containing('.')[0]
-        self.add_cleanup(tree.lock_read().unlock)
+        tree.lock_read()
+        self.add_cleanup(tree.unlock)
         manager = tree.get_shelf_manager()
         shelves = manager.active_shelves()
         if len(shelves) == 0:
@@ -5921,8 +5966,7 @@
 
     To check what clean-tree will do, use --dry-run.
     """
-    takes_options = ['directory',
-                     Option('ignored', help='Delete all ignored files.'),
+    takes_options = [Option('ignored', help='Delete all ignored files.'),
                      Option('detritus', help='Delete conflict files, merge'
                             ' backups, and failed selftest dirs.'),
                      Option('unknown',
@@ -5931,14 +5975,14 @@
                             ' deleting them.'),
                      Option('force', help='Do not prompt before deleting.')]
     def run(self, unknown=False, ignored=False, detritus=False, dry_run=False,
-            force=False, directory=u'.'):
+            force=False):
         from bzrlib.clean_tree import clean_tree
         if not (unknown or ignored or detritus):
             unknown = True
         if dry_run:
             force = True
-        clean_tree(directory, unknown=unknown, ignored=ignored,
-                   detritus=detritus, dry_run=dry_run, no_prompt=force)
+        clean_tree('.', unknown=unknown, ignored=ignored, detritus=detritus,
+                   dry_run=dry_run, no_prompt=force)
 
 
 class cmd_reference(Command):

=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2010-04-29 08:59:13 +0000
+++ bzrlib/bzrdir.py	2010-04-28 07:03:38 +0000
@@ -737,18 +737,13 @@
             raise errors.NoRepositoryPresent(self)
         return found_repo
 
-    def get_branch_reference(self, name=None):
+    def get_branch_reference(self):
         """Return the referenced URL for the branch in this bzrdir.
 
-        :param name: Optional colocated branch name
         :raises NotBranchError: If there is no Branch.
-        :raises NoColocatedBranchSupport: If a branch name was specified
-            but colocated branches are not supported.
         :return: The URL the branch in this bzrdir references if it is a
             reference branch, or None for regular branches.
         """
-        if name is not None:
-            raise errors.NoColocatedBranchSupport(self)
         return None
 
     def get_branch_transport(self, branch_format, name=None):
@@ -999,11 +994,9 @@
                 raise errors.NotBranchError(path=url)
             a_transport = new_t
 
-    def _get_tree_branch(self, name=None):
+    def _get_tree_branch(self):
         """Return the branch and tree, if any, for this bzrdir.
 
-        :param name: Name of colocated branch to open.
-
         Return None for tree if not present or inaccessible.
         Raise NotBranchError if no branch is present.
         :return: (tree, branch)
@@ -1012,12 +1005,9 @@
             tree = self.open_workingtree()
         except (errors.NoWorkingTree, errors.NotLocalUrl):
             tree = None
-            branch = self.open_branch(name=name)
+            branch = self.open_branch()
         else:
-            if name is not None:
-                branch = self.open_branch(name=name)
-            else:
-                branch = tree.branch
+            branch = tree.branch
         return tree, branch
 
     @classmethod
@@ -1746,13 +1736,13 @@
     def destroy_workingtree_metadata(self):
         self.transport.delete_tree('checkout')
 
-    def find_branch_format(self, name=None):
+    def find_branch_format(self):
         """Find the branch 'format' for this bzrdir.
 
         This might be a synthetic object for e.g. RemoteBranch and SVN.
         """
         from bzrlib.branch import BranchFormat
-        return BranchFormat.find_format(self, name=name)
+        return BranchFormat.find_format(self)
 
     def _get_mkdir_mode(self):
         """Figure out the mode to use when creating a bzrdir subdir."""
@@ -1760,11 +1750,11 @@
                                      lockable_files.TransportLock)
         return temp_control._dir_mode
 
-    def get_branch_reference(self, name=None):
+    def get_branch_reference(self):
         """See BzrDir.get_branch_reference()."""
         from bzrlib.branch import BranchFormat
-        format = BranchFormat.find_format(self, name=name)
-        return format.get_reference(self, name=name)
+        format = BranchFormat.find_format(self)
+        return format.get_reference(self)
 
     def get_branch_transport(self, branch_format, name=None):
         """See BzrDir.get_branch_transport()."""
@@ -1864,7 +1854,7 @@
     def open_branch(self, name=None, unsupported=False,
                     ignore_fallbacks=False):
         """See BzrDir.open_branch."""
-        format = self.find_branch_format(name=name)
+        format = self.find_branch_format()
         self._check_supported(format, unsupported)
         return format.open(self, name=name,
             _found=True, ignore_fallbacks=ignore_fallbacks)

=== modified file 'bzrlib/clean_tree.py'
--- bzrlib/clean_tree.py	2010-05-04 09:20:17 +0000
+++ bzrlib/clean_tree.py	2010-04-30 11:03:59 +0000
@@ -18,7 +18,6 @@
 import os
 import shutil
 
-from bzrlib import bzrdir, errors
 from bzrlib.osutils import isdir
 from bzrlib.trace import note
 from bzrlib.workingtree import WorkingTree
@@ -52,14 +51,11 @@
     try:
         deletables = list(iter_deletables(tree, unknown=unknown,
             ignored=ignored, detritus=detritus))
-        deletables = _filter_out_nested_bzrdirs(deletables)
         if len(deletables) == 0:
             note('Nothing to delete.')
             return 0
         if not no_prompt:
             for path, subp in deletables:
-                # FIXME using print is very bad idea
-                # clean_tree should accept to_file argument to write the output
                 print subp
             val = raw_input('Are you sure you wish to delete these [y/N]?')
             if val.lower() not in ('y', 'yes'):
@@ -70,27 +66,6 @@
         tree.unlock()
 
 
-def _filter_out_nested_bzrdirs(deletables):
-    result = []
-    for path, subp in deletables:
-        # bzr won't recurse into unknowns/ignored directories by default
-        # so we don't pay a penalty for checking subdirs of path for nested
-        # bzrdir.
-        # That said we won't detect the branch in the subdir of non-branch
-        # directory and therefore delete it. (worth to FIXME?)
-        if isdir(path):
-            try:
-                bzrdir.BzrDir.open(path)
-            except errors.NotBranchError:
-                result.append((path,subp))
-            else:
-                # TODO may be we need to notify user about skipped directories?
-                pass
-        else:
-            result.append((path,subp))
-    return result
-
-
 def delete_items(deletables, dry_run=False):
     """Delete files in the deletables iterable"""
     has_deleted = False

=== modified file 'bzrlib/commands.py'
--- bzrlib/commands.py	2010-04-28 13:03:47 +0000
+++ bzrlib/commands.py	2010-04-16 07:56:51 +0000
@@ -1077,9 +1077,15 @@
     if not opt_no_aliases:
         alias_argv = get_alias(argv[0])
         if alias_argv:
+            user_encoding = osutils.get_user_encoding()
+            alias_argv = [a.decode(user_encoding) for a in alias_argv]
             argv[0] = alias_argv.pop(0)
 
     cmd = argv.pop(0)
+    # We want only 'ascii' command names, but the user may have typed
+    # in a Unicode name. In that case, they should just get a
+    # 'command not found' error later.
+
     cmd_obj = get_cmd_object(cmd, plugins_override=not opt_builtin)
     run = cmd_obj.run_argv_aliases
     run_argv = [argv, alias_argv]

=== modified file 'bzrlib/commit.py'
--- bzrlib/commit.py	2010-05-10 11:34:20 +0000
+++ bzrlib/commit.py	2010-04-30 11:35:43 +0000
@@ -174,43 +174,6 @@
         self.reporter = reporter
         self.config = config
 
-    @staticmethod
-    def update_revprops(revprops, branch, authors=None, author=None,
-                        local=False, possible_master_transports=None):
-        if revprops is None:
-            revprops = {}
-        if possible_master_transports is None:
-            possible_master_transports = []
-        if not 'branch-nick' in revprops:
-            revprops['branch-nick'] = branch._get_nick(
-                local,
-                possible_master_transports)
-        if authors is not None:
-            if author is not None:
-                raise AssertionError('Specifying both author and authors '
-                        'is not allowed. Specify just authors instead')
-            if 'author' in revprops or 'authors' in revprops:
-                # XXX: maybe we should just accept one of them?
-                raise AssertionError('author property given twice')
-            if authors:
-                for individual in authors:
-                    if '\n' in individual:
-                        raise AssertionError('\\n is not a valid character '
-                                'in an author identity')
-                revprops['authors'] = '\n'.join(authors)
-        if author is not None:
-            symbol_versioning.warn('The parameter author was deprecated'
-                   ' in version 1.13. Use authors instead',
-                   DeprecationWarning)
-            if 'author' in revprops or 'authors' in revprops:
-                # XXX: maybe we should just accept one of them?
-                raise AssertionError('author property given twice')
-            if '\n' in author:
-                raise AssertionError('\\n is not a valid character '
-                        'in an author identity')
-            revprops['authors'] = author
-        return revprops
-
     def commit(self,
                message=None,
                timestamp=None,

=== modified file 'bzrlib/config.py'
--- bzrlib/config.py	2010-05-07 06:35:34 +0000
+++ bzrlib/config.py	2010-04-24 09:08:27 +0000
@@ -257,10 +257,12 @@
 
         Something similar to 'Martin Pool <mbp@sourcefrog.net>'
 
-        $BZR_EMAIL can be set to override this, then
+        $BZR_EMAIL can be set to override this (as well as the
+        deprecated $BZREMAIL), then
         the concrete policy type is checked, and finally
         $EMAIL is examined.
-        If no username can be found, errors.NoWhoami exception is raised.
+        If none is found, a reasonable default is (hopefully)
+        created.
 
         TODO: Check it's reasonably well-formed.
         """
@@ -276,14 +278,11 @@
         if v:
             return v.decode(osutils.get_user_encoding())
 
-        raise errors.NoWhoami()
-
-    def ensure_username(self):
-        """Raise errors.NoWhoami if username is not set.
-
-        This method relies on the username() function raising the error.
-        """
-        self.username()
+        name, email = _auto_user_id()
+        if name:
+            return '%s <%s>' % (name, email)
+        else:
+            return email
 
     def signature_checking(self):
         """What is the current policy for signature checking?."""
@@ -900,6 +899,79 @@
         return os.path.expanduser('~/.cache')
 
 
+def _auto_user_id():
+    """Calculate automatic user identification.
+
+    Returns (realname, email).
+
+    Only used when none is set in the environment or the id file.
+
+    This previously used the FQDN as the default domain, but that can
+    be very slow on machines where DNS is broken.  So now we simply
+    use the hostname.
+    """
+    import socket
+
+    if sys.platform == 'win32':
+        name = win32utils.get_user_name_unicode()
+        if name is None:
+            raise errors.BzrError("Cannot autodetect user name.\n"
+                                  "Please, set your name with command like:\n"
+                                  'bzr whoami "Your Name <name@domain.com>"')
+        host = win32utils.get_host_name_unicode()
+        if host is None:
+            host = socket.gethostname()
+        return name, (name + '@' + host)
+
+    try:
+        import pwd
+        uid = os.getuid()
+        try:
+            w = pwd.getpwuid(uid)
+        except KeyError:
+            raise errors.BzrCommandError('Unable to determine your name.  '
+                'Please use "bzr whoami" to set it.')
+
+        # we try utf-8 first, because on many variants (like Linux),
+        # /etc/passwd "should" be in utf-8, and because it's unlikely to give
+        # false positives.  (many users will have their user encoding set to
+        # latin-1, which cannot raise UnicodeError.)
+        try:
+            gecos = w.pw_gecos.decode('utf-8')
+            encoding = 'utf-8'
+        except UnicodeError:
+            try:
+                encoding = osutils.get_user_encoding()
+                gecos = w.pw_gecos.decode(encoding)
+            except UnicodeError:
+                raise errors.BzrCommandError('Unable to determine your name.  '
+                   'Use "bzr whoami" to set it.')
+        try:
+            username = w.pw_name.decode(encoding)
+        except UnicodeError:
+            raise errors.BzrCommandError('Unable to determine your name.  '
+                'Use "bzr whoami" to set it.')
+
+        comma = gecos.find(',')
+        if comma == -1:
+            realname = gecos
+        else:
+            realname = gecos[:comma]
+        if not realname:
+            realname = username
+
+    except ImportError:
+        import getpass
+        try:
+            user_encoding = osutils.get_user_encoding()
+            realname = username = getpass.getuser().decode(user_encoding)
+        except UnicodeDecodeError:
+            raise errors.BzrError("Can't decode username as %s." % \
+                    user_encoding)
+
+    return realname, (username + '@' + socket.gethostname())
+
+
 def parse_username(username):
     """Parse e-mail username and return a (name, address) tuple."""
     match = re.match(r'(.*?)\s*<?([\w+.-]+@[\w+.-]+)>?', username)

=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2010-05-05 14:11:13 +0000
+++ bzrlib/errors.py	2010-04-21 11:27:04 +0000
@@ -3134,10 +3134,3 @@
     def __init__(self, bzrdir):
         self.bzrdir = bzrdir
 
-class NoWhoami(BzrError):
-
-    _fmt = ('Unable to determine your name.\n'
-        "Please, set your name with the 'whoami' command.\n"
-        'E.g. bzr whoami "Your Name <name@example.com>"')
-
-

=== modified file 'bzrlib/help_topics/__init__.py'
--- bzrlib/help_topics/__init__.py	2010-04-30 01:39:46 +0000
+++ bzrlib/help_topics/__init__.py	2010-03-02 10:21:39 +0000
@@ -591,27 +591,22 @@
 _env_variables = \
 """Environment Variables
 
-=================== =======================================================================
-BZRPATH             Path where bzr is to look for shell plugin external commands.
-BZR_EMAIL           E-Mail address of the user. Overrides EMAIL.
-EMAIL               E-Mail address of the user.
-BZR_EDITOR          Editor for editing commit messages. Overrides EDITOR.
-EDITOR              Editor for editing commit messages.
-BZR_PLUGIN_PATH     Paths where bzr should look for plugins.
-BZR_DISABLE_PLUGINS Plugins that bzr should not load.
-BZR_PLUGINS_AT      Plugins to load from a directory not in BZR_PLUGIN_PATH.
-BZR_HOME            Directory holding .bazaar config dir. Overrides HOME.
-BZR_HOME (Win32)    Directory holding bazaar config dir. Overrides APPDATA and HOME.
-BZR_REMOTE_PATH     Full name of remote 'bzr' command (for bzr+ssh:// URLs).
-BZR_SSH             Path to SSH client, or one of paramiko, openssh, sshcorp, plink.
-BZR_LOG             Location of .bzr.log (use '/dev/null' to suppress log).
-BZR_LOG (Win32)     Location of .bzr.log (use 'NUL' to suppress log).
-BZR_COLUMNS         Override implicit terminal width.
-BZR_CONCURRENCY     Number of processes that can be run concurrently (selftest).
-BZR_PROGRESS_BAR    Override the progress display. Values are 'none', 'dots', or 'tty'.
-BZR_PDB             Control whether to launch a debugger on error.
-BZR_SIGQUIT_PDB     Control whether SIGQUIT behaves normally or invokes a breakin debugger.
-=================== =======================================================================
+================ =================================================================
+BZRPATH          Path where bzr is to look for shell plugin external commands.
+BZR_EMAIL        E-Mail address of the user. Overrides EMAIL.
+EMAIL            E-Mail address of the user.
+BZR_EDITOR       Editor for editing commit messages. Overrides EDITOR.
+EDITOR           Editor for editing commit messages.
+BZR_PLUGIN_PATH  Paths where bzr should look for plugins.
+BZR_HOME         Directory holding .bazaar config dir. Overrides HOME.
+BZR_HOME (Win32) Directory holding bazaar config dir. Overrides APPDATA and HOME.
+BZR_REMOTE_PATH  Full name of remote 'bzr' command (for bzr+ssh:// URLs).
+BZR_SSH          Path to SSH client, or one of paramiko, openssh, sshcorp, plink.
+BZR_LOG          Location of .bzr.log (use '/dev/null' to suppress log).
+BZR_LOG (Win32)  Location of .bzr.log (use 'NUL' to suppress log).
+BZR_COLUMNS      Override implicit terminal width.
+BZR_CONCURRENCY  Number of processes that can be run concurrently (selftest).
+================ =================================================================
 """
 
 

=== modified file 'bzrlib/help_topics/en/configuration.txt'
--- bzrlib/help_topics/en/configuration.txt	2010-05-04 14:52:33 +0000
+++ bzrlib/help_topics/en/configuration.txt	2010-04-23 07:15:23 +0000
@@ -59,19 +59,6 @@
 
 Path to the editor Bazaar should use for commit messages, etc.
 
-BZR_LOG
-~~~~~~~
-
-Location of the Bazaar log file. You can check the current location by
-running ``bzr version``.
-
-The log file contains debug information that is useful for diagnosing or
-reporting problems with Bazaar.
-
-Setting this to ``NUL`` on Windows or ``/dev/null`` on other platforms
-will disable logging.
-
-
 BZR_PLUGIN_PATH
 ~~~~~~~~~~~~~~~
 

=== modified file 'bzrlib/ignores.py'
--- bzrlib/ignores.py	2010-05-03 04:51:58 +0000
+++ bzrlib/ignores.py	2010-04-30 07:54:33 +0000
@@ -17,8 +17,6 @@
 """Lists of ignore files, etc."""
 
 import errno
-import os
-from cStringIO import StringIO
 
 import bzrlib
 from bzrlib import (
@@ -183,44 +181,28 @@
     The ignore file will be automatically added under version control.
 
     :param tree: Working tree to update the ignore list.
-    :param name_pattern_list: List of ignore patterns.
-    :return: None
     """
-    # read in the existing ignores set
     ifn = tree.abspath(bzrlib.IGNORE_FILENAME)
     if tree.has_filename(ifn):
-        f = open(ifn, 'rU')
+        f = open(ifn, 'rt')
         try:
-            file_contents = f.read()
-            # figure out what kind of line endings are used
-            newline = getattr(f, 'newlines', None)
-            if type(newline) is tuple:
-                newline = newline[0]
-            elif newline is None:
-                newline = os.linesep
+            igns = f.read().decode('utf-8')
         finally:
             f.close()
     else:
-        file_contents = ""
-        newline = os.linesep
-    
-    sio = StringIO(file_contents)
-    try:
-        ignores = parse_ignore_file(sio)
-    finally:
-        sio.close()
-    
-    # write out the updated ignores set
+        igns = ""
+
+    # TODO: If the file already uses crlf-style termination, maybe
+    # we should use that for the newly added lines?
+
+    if igns and igns[-1] != '\n':
+        igns += '\n'
+    for name_pattern in name_pattern_list:
+        igns += name_pattern + '\n'
+
     f = atomicfile.AtomicFile(ifn, 'wb')
     try:
-        # write the original contents, preserving original line endings
-        f.write(newline.join(file_contents.split('\n')))
-        if len(file_contents) > 0 and not file_contents.endswith('\n'):
-            f.write(newline)
-        for pattern in name_pattern_list:
-            if not pattern in ignores:
-                f.write(pattern.encode('utf-8'))
-                f.write(newline)
+        f.write(igns.encode('utf-8'))
         f.commit()
     finally:
         f.close()

=== modified file 'bzrlib/lock.py'
--- bzrlib/lock.py	2010-05-11 08:36:16 +0000
+++ bzrlib/lock.py	2010-04-16 07:56:51 +0000
@@ -88,20 +88,6 @@
                              self.lock_url, self.details)
 
 
-class LogicalLockResult(object):
-    """The result of a lock_read/lock_write/lock_tree_write call on lockables.
-
-    :ivar unlock: A callable which will unlock the lock.
-    """
-
-    def __init__(self, unlock):
-        self.unlock = unlock
-
-    def __repr__(self):
-        return "LogicalLockResult(%s)" % (self.unlock)
-
-
-
 def cant_unlock_not_held(locked_object):
     """An attempt to unlock failed because the object was not locked.
 

=== modified file 'bzrlib/lockdir.py'
--- bzrlib/lockdir.py	2010-04-28 06:09:23 +0000
+++ bzrlib/lockdir.py	2010-03-03 22:59:21 +0000
@@ -447,9 +447,9 @@
         # XXX: is creating this here inefficient?
         config = bzrlib.config.GlobalConfig()
         try:
+            user = config.user_email()
+        except errors.NoEmailInUsername:
             user = config.username()
-        except errors.NoWhoami:
-            user = osutils.getuser_unicode()
         s = rio.Stanza(hostname=get_host_name(),
                    pid=str(os.getpid()),
                    start_time=str(int(time.time())),

=== modified file 'bzrlib/log.py'
--- bzrlib/log.py	2010-05-11 08:44:59 +0000
+++ bzrlib/log.py	2010-04-14 12:30:17 +0000
@@ -1341,7 +1341,7 @@
 
     def __init__(self, to_file, show_ids=False, show_timezone='original',
                  delta_format=None, levels=None, show_advice=False,
-                 to_exact_file=None, author_list_handler=None):
+                 to_exact_file=None):
         """Create a LogFormatter.
 
         :param to_file: the file to output to
@@ -1355,8 +1355,6 @@
           let the log formatter decide.
         :param show_advice: whether to show advice at the end of the
           log or not
-        :param author_list_handler: callable generating a list of
-          authors to display for a given revision
         """
         self.to_file = to_file
         # 'exact' stream used to show diff, it should print content 'as is'
@@ -1377,7 +1375,6 @@
         self.levels = levels
         self._show_advice = show_advice
         self._merge_count = 0
-        self._author_list_handler = author_list_handler
 
     def get_levels(self):
         """Get the number of levels to display or 0 for all."""
@@ -1415,41 +1412,10 @@
         return address
 
     def short_author(self, rev):
-        return self.authors(rev, 'first', short=True, sep=', ')
-
-    def authors(self, rev, who, short=False, sep=None):
-        """Generate list of authors, taking --authors option into account.
-
-        The caller has to specify the name of a author list handler,
-        as provided by the author list registry, using the ``who``
-        argument.  That name only sets a default, though: when the
-        user selected a different author list generation using the
-        ``--authors`` command line switch, as represented by the
-        ``author_list_handler`` constructor argument, that value takes
-        precedence.
-
-        :param rev: The revision for which to generate the list of authors.
-        :param who: Name of the default handler.
-        :param short: Whether to shorten names to either name or address.
-        :param sep: What separator to use for automatic concatenation.
-        """
-        if self._author_list_handler is not None:
-            # The user did specify --authors, which overrides the default
-            author_list_handler = self._author_list_handler
-        else:
-            # The user didn't specify --authors, so we use the caller's default
-            author_list_handler = author_list_registry.get(who)
-        names = author_list_handler(rev)
-        if short:
-            for i in range(len(names)):
-                name, address = config.parse_username(names[i])
-                if name:
-                    names[i] = name
-                else:
-                    names[i] = address
-        if sep is not None:
-            names = sep.join(names)
-        return names
+        name, address = config.parse_username(rev.get_apparent_authors()[0])
+        if name:
+            return name
+        return address
 
     def merge_marker(self, revision):
         """Get the merge marker to include in the output or '' if none."""
@@ -1557,7 +1523,7 @@
         lines.extend(self.custom_properties(revision.rev))
 
         committer = revision.rev.committer
-        authors = self.authors(revision.rev, 'all')
+        authors = revision.rev.get_apparent_authors()
         if authors != [committer]:
             lines.append('author: %s' % (", ".join(authors),))
         lines.append('committer: %s' % (committer,))
@@ -1737,8 +1703,7 @@
                                self.show_timezone,
                                date_fmt='%Y-%m-%d',
                                show_offset=False)
-        committer_str = self.authors(revision.rev, 'first', sep=', ')
-        committer_str = committer_str.replace(' <', '  <')
+        committer_str = revision.rev.get_apparent_authors()[0].replace (' <', '  <')
         to_file.write('%s  %s\n\n' % (date_str,committer_str))
 
         if revision.delta is not None and revision.delta.has_changed():
@@ -1809,34 +1774,6 @@
         raise errors.BzrCommandError("unknown log formatter: %r" % name)
 
 
-def author_list_all(rev):
-    return rev.get_apparent_authors()[:]
-
-
-def author_list_first(rev):
-    lst = rev.get_apparent_authors()
-    try:
-        return [lst[0]]
-    except IndexError:
-        return []
-
-
-def author_list_committer(rev):
-    return [rev.committer]
-
-
-author_list_registry = registry.Registry()
-
-author_list_registry.register('all', author_list_all,
-                              'All authors')
-
-author_list_registry.register('first', author_list_first,
-                              'The first author')
-
-author_list_registry.register('committer', author_list_committer,
-                              'The committer')
-
-
 def show_one_log(revno, rev, delta, verbose, to_file, show_timezone):
     # deprecated; for compatibility
     lf = LongLogFormatter(to_file=to_file, show_timezone=show_timezone)
@@ -1993,7 +1930,7 @@
         lf.log_revision(lr)
 
 
-def _get_info_for_log_files(revisionspec_list, file_list, add_cleanup):
+def _get_info_for_log_files(revisionspec_list, file_list):
     """Find file-ids and kinds given a list of files and a revision range.
 
     We search for files at the end of the range. If not found there,
@@ -2003,8 +1940,6 @@
     :param file_list: the list of paths given on the command line;
       the first of these can be a branch location or a file path,
       the remainder must be file paths
-    :param add_cleanup: When the branch returned is read locked,
-      an unlock call will be queued to the cleanup.
     :return: (branch, info_list, start_rev_info, end_rev_info) where
       info_list is a list of (relative_path, file_id, kind) tuples where
       kind is one of values 'directory', 'file', 'symlink', 'tree-reference'.
@@ -2012,7 +1947,7 @@
     """
     from builtins import _get_revision_range, safe_relpath_files
     tree, b, path = bzrdir.BzrDir.open_containing_tree_or_branch(file_list[0])
-    add_cleanup(b.lock_read().unlock)
+    b.lock_read()
     # XXX: It's damn messy converting a list of paths to relative paths when
     # those paths might be deleted ones, they might be on a case-insensitive
     # filesystem and/or they might be in silly locations (like another branch).

=== modified file 'bzrlib/mutabletree.py'
--- bzrlib/mutabletree.py	2010-05-10 11:34:20 +0000
+++ bzrlib/mutabletree.py	2010-04-22 14:18:17 +0000
@@ -182,14 +182,39 @@
                **kwargs):
         # avoid circular imports
         from bzrlib import commit
+        if revprops is None:
+            revprops = {}
         possible_master_transports=[]
-        revprops = commit.Commit.update_revprops(
-                revprops,
-                self.branch,
-                kwargs.pop('authors', None),
-                kwargs.pop('author', None),
+        if not 'branch-nick' in revprops:
+            revprops['branch-nick'] = self.branch._get_nick(
                 kwargs.get('local', False),
                 possible_master_transports)
+        authors = kwargs.pop('authors', None)
+        author = kwargs.pop('author', None)
+        if authors is not None:
+            if author is not None:
+                raise AssertionError('Specifying both author and authors '
+                        'is not allowed. Specify just authors instead')
+            if 'author' in revprops or 'authors' in revprops:
+                # XXX: maybe we should just accept one of them?
+                raise AssertionError('author property given twice')
+            if authors:
+                for individual in authors:
+                    if '\n' in individual:
+                        raise AssertionError('\\n is not a valid character '
+                                'in an author identity')
+                revprops['authors'] = '\n'.join(authors)
+        if author is not None:
+            symbol_versioning.warn('The parameter author was deprecated'
+                   ' in version 1.13. Use authors instead',
+                   DeprecationWarning)
+            if 'author' in revprops or 'authors' in revprops:
+                # XXX: maybe we should just accept one of them?
+                raise AssertionError('author property given twice')
+            if '\n' in author:
+                raise AssertionError('\\n is not a valid character '
+                        'in an author identity')
+            revprops['authors'] = author
         # args for wt.commit start at message from the Commit.commit method,
         args = (message, ) + args
         for hook in MutableTree.hooks['start_commit']:

=== modified file 'bzrlib/option.py'
--- bzrlib/option.py	2010-05-05 04:08:11 +0000
+++ bzrlib/option.py	2010-04-20 08:47:38 +0000
@@ -506,9 +506,6 @@
 # Declare the standard options
 _standard_option('help', short_name='h',
                  help='Show help message.')
-_standard_option('null', short_name='0',
-                 help='Use an ASCII NUL (\\0) separator rather than '
-                      'a newline.')
 _standard_option('usage',
                  help='Show usage message and options.')
 _standard_option('verbose', short_name='v',
@@ -573,8 +570,6 @@
 _global_option('dry-run',
                help="Show what would be done, but don't actually do anything.")
 _global_option('name-from-revision', help='The path name in the old tree.')
-_global_option('directory', short_name='d', type=unicode,
-               help='Branch to operate on, instead of working directory')
 
 diff_writer_registry = _mod_registry.Registry()
 diff_writer_registry.register('plain', lambda x: x, 'Plaintext diff output.')

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2010-05-05 14:11:13 +0000
+++ bzrlib/osutils.py	2010-05-03 06:25:46 +0000
@@ -26,7 +26,6 @@
 lazy_import(globals(), """
 from datetime import datetime
 import errno
-import getpass
 from ntpath import (abspath as _nt_abspath,
                     join as _nt_join,
                     normpath as _nt_normpath,
@@ -2303,15 +2302,3 @@
         return os.fdopen(os.open(filename, flags), mode, bufsize)
 else:
     open_file = open
-
-
-def getuser_unicode():
-    """Return the username as unicode.
-    """
-    try:
-        user_encoding = get_user_encoding()
-        username = getpass.getuser().decode(user_encoding)
-    except UnicodeDecodeError:
-        raise errors.BzrError("Can't decode username as %s." % \
-                user_encoding)
-    return username

=== modified file 'bzrlib/remote.py'
--- bzrlib/remote.py	2010-05-11 08:44:59 +0000
+++ bzrlib/remote.py	2010-05-03 04:08:50 +0000
@@ -33,7 +33,7 @@
     static_tuple,
     symbol_versioning,
 )
-from bzrlib.branch import BranchReferenceFormat, BranchWriteLockResult
+from bzrlib.branch import BranchReferenceFormat
 from bzrlib.bzrdir import BzrDir, RemoteBzrDirFormat
 from bzrlib.decorators import needs_read_lock, needs_write_lock, only_raises
 from bzrlib.errors import (
@@ -43,7 +43,6 @@
 from bzrlib.lockable_files import LockableFiles
 from bzrlib.smart import client, vfs, repository as smart_repo
 from bzrlib.revision import ensure_null, NULL_REVISION
-from bzrlib.repository import RepositoryWriteLockResult
 from bzrlib.trace import mutter, note, warning
 
 
@@ -273,19 +272,16 @@
     def create_workingtree(self, revision_id=None, from_branch=None):
         raise errors.NotLocalUrl(self.transport.base)
 
-    def find_branch_format(self, name=None):
+    def find_branch_format(self):
         """Find the branch 'format' for this bzrdir.
 
         This might be a synthetic object for e.g. RemoteBranch and SVN.
         """
-        b = self.open_branch(name=name)
+        b = self.open_branch()
         return b._format
 
-    def get_branch_reference(self, name=None):
+    def get_branch_reference(self):
         """See BzrDir.get_branch_reference()."""
-        if name is not None:
-            # XXX JRV20100304: Support opening colocated branches
-            raise errors.NoColocatedBranchSupport(self)
         response = self._get_branch_reference()
         if response[0] == 'ref':
             return response[1]
@@ -322,9 +318,9 @@
             raise errors.UnexpectedSmartServerResponse(response)
         return response
 
-    def _get_tree_branch(self, name=None):
+    def _get_tree_branch(self):
         """See BzrDir._get_tree_branch()."""
-        return None, self.open_branch(name=name)
+        return None, self.open_branch()
 
     def open_branch(self, name=None, unsupported=False,
                     ignore_fallbacks=False):
@@ -1001,10 +997,6 @@
         pass
 
     def lock_read(self):
-        """Lock the repository for read operations.
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
         # wrong eventually - want a local lock cache context
         if not self._lock_mode:
             self._note_lock('r')
@@ -1017,7 +1009,6 @@
                 repo.lock_read()
         else:
             self._lock_count += 1
-        return lock.LogicalLockResult(self.unlock)
 
     def _remote_lock_write(self, token):
         path = self.bzrdir._path_for_remote_call(self._client)
@@ -1063,7 +1054,7 @@
             raise errors.ReadOnlyError(self)
         else:
             self._lock_count += 1
-        return RepositoryWriteLockResult(self.unlock, self._lock_token or None)
+        return self._lock_token or None
 
     def leave_lock_in_place(self):
         if not self._lock_token:
@@ -1315,16 +1306,16 @@
         return self._real_repository.make_working_trees()
 
     def refresh_data(self):
-        """Re-read any data needed to synchronise with disk.
+        """Re-read any data needed to to synchronise with disk.
 
         This method is intended to be called after another repository instance
         (such as one used by a smart server) has inserted data into the
-        repository. On all repositories this will work outside of write groups.
-        Some repository formats (pack and newer for bzrlib native formats)
-        support refresh_data inside write groups. If called inside a write
-        group on a repository that does not support refreshing in a write group
-        IsInWriteGroupError will be raised.
+        repository. It may not be called during a write group, but may be
+        called at any other time.
         """
+        if self.is_in_write_group():
+            raise errors.InternalBzrError(
+                "May not refresh_data while in a write group.")
         if self._real_repository is not None:
             self._real_repository.refresh_data()
 
@@ -2396,10 +2387,6 @@
             self._vfs_set_tags_bytes(bytes)
 
     def lock_read(self):
-        """Lock the branch for read operations.
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
         self.repository.lock_read()
         if not self._lock_mode:
             self._note_lock('r')
@@ -2409,14 +2396,13 @@
                 self._real_branch.lock_read()
         else:
             self._lock_count += 1
-        return lock.LogicalLockResult(self.unlock)
 
     def _remote_lock_write(self, token):
         if token is None:
             branch_token = repo_token = ''
         else:
             branch_token = token
-            repo_token = self.repository.lock_write().repository_token
+            repo_token = self.repository.lock_write()
             self.repository.unlock()
         err_context = {'token': token}
         response = self._call(
@@ -2459,7 +2445,7 @@
             self._lock_count += 1
             # Re-lock the repository too.
             self.repository.lock_write(self._repo_lock_token)
-        return BranchWriteLockResult(self.unlock, self._lock_token or None)
+        return self._lock_token or None
 
     def _unlock(self, branch_token, repo_token):
         err_context = {'token': str((branch_token, repo_token))}

=== modified file 'bzrlib/repofmt/knitrepo.py'
--- bzrlib/repofmt/knitrepo.py	2010-05-04 02:41:17 +0000
+++ bzrlib/repofmt/knitrepo.py	2010-04-26 13:51:08 +0000
@@ -38,7 +38,6 @@
 from bzrlib.decorators import needs_read_lock, needs_write_lock
 from bzrlib.repository import (
     CommitBuilder,
-    IsInWriteGroupError,
     MetaDirRepository,
     MetaDirRepositoryFormat,
     RepositoryFormat,
@@ -211,8 +210,6 @@
     def _refresh_data(self):
         if not self.is_locked():
             return
-        if self.is_in_write_group():
-            raise IsInWriteGroupError(self)
         # Create a new transaction to force all knits to see the scope change.
         # This is safe because we're outside a write group.
         self.control_files._finish_transaction()

=== modified file 'bzrlib/repofmt/pack_repo.py'
--- bzrlib/repofmt/pack_repo.py	2010-05-11 08:36:16 +0000
+++ bzrlib/repofmt/pack_repo.py	2010-04-22 17:08:27 +0000
@@ -64,13 +64,11 @@
     GraphIndex,
     InMemoryGraphIndex,
     )
-from bzrlib.lock import LogicalLockResult
 from bzrlib.repofmt.knitrepo import KnitRepository
 from bzrlib.repository import (
     CommitBuilder,
     MetaDirRepositoryFormat,
     RepositoryFormat,
-    RepositoryWriteLockResult,
     RootCommitBuilder,
     StreamSource,
     )
@@ -2342,10 +2340,6 @@
         return self._write_lock_count
 
     def lock_write(self, token=None):
-        """Lock the repository for writes.
-
-        :return: A bzrlib.repository.RepositoryWriteLockResult.
-        """
         locked = self.is_locked()
         if not self._write_lock_count and locked:
             raise errors.ReadOnlyError(self)
@@ -2360,13 +2354,8 @@
                 # Writes don't affect fallback repos
                 repo.lock_read()
             self._refresh_data()
-        return RepositoryWriteLockResult(self.unlock, None)
 
     def lock_read(self):
-        """Lock the repository for reads.
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
         locked = self.is_locked()
         if self._write_lock_count:
             self._write_lock_count += 1
@@ -2379,7 +2368,6 @@
             for repo in self._fallback_repositories:
                 repo.lock_read()
             self._refresh_data()
-        return LogicalLockResult(self.unlock)
 
     def leave_lock_in_place(self):
         # not supported - raise an error

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2010-05-11 08:44:59 +0000
+++ bzrlib/repository.py	2010-04-28 07:03:38 +0000
@@ -26,6 +26,7 @@
     chk_map,
     config,
     debug,
+    errors,
     fetch as _mod_fetch,
     fifo_cache,
     generate_ids,
@@ -52,10 +53,6 @@
 from bzrlib.testament import Testament
 """)
 
-from bzrlib import (
-    errors,
-    registry,
-    )
 from bzrlib.decorators import needs_read_lock, needs_write_lock, only_raises
 from bzrlib.inter import InterObject
 from bzrlib.inventory import (
@@ -64,7 +61,8 @@
     ROOT_ID,
     entry_factory,
     )
-from bzrlib.lock import _RelockDebugMixin, LogicalLockResult
+from bzrlib.lock import _RelockDebugMixin
+from bzrlib import registry
 from bzrlib.trace import (
     log_exception_quietly, note, mutter, mutter_callsite, warning)
 
@@ -73,14 +71,6 @@
 _deprecation_warning_done = False
 
 
-class IsInWriteGroupError(errors.InternalBzrError):
-
-    _fmt = "May not refresh_data of repo %(repo)s while in a write group."
-
-    def __init__(self, repo):
-        errors.InternalBzrError.__init__(self, repo=repo)
-
-
 class CommitBuilder(object):
     """Provides an interface to build up a commit.
 
@@ -870,23 +860,6 @@
         # versioned roots do not change unless the tree found a change.
 
 
-class RepositoryWriteLockResult(LogicalLockResult):
-    """The result of write locking a repository.
-
-    :ivar repository_token: The token obtained from the underlying lock, or
-        None.
-    :ivar unlock: A callable which will unlock the lock.
-    """
-
-    def __init__(self, unlock, repository_token):
-        LogicalLockResult.__init__(self, unlock)
-        self.repository_token = repository_token
-
-    def __repr__(self):
-        return "RepositoryWriteLockResult(%s, %s)" % (self.repository_token,
-            self.unlock)
-
-
 ######################################################################
 # Repositories
 
@@ -1403,12 +1376,6 @@
         data during reads, and allows a 'write_group' to be obtained. Write
         groups must be used for actual data insertion.
 
-        A token should be passed in if you know that you have locked the object
-        some other way, and need to synchronise this object's state with that
-        fact.
-
-        XXX: this docstring is duplicated in many places, e.g. lockable_files.py
-
         :param token: if this is already locked, then lock_write will fail
             unless the token matches the existing lock.
         :returns: a token if this instance supports tokens, otherwise None.
@@ -1417,10 +1384,15 @@
         :raises MismatchedToken: if the specified token doesn't match the token
             of the existing lock.
         :seealso: start_write_group.
-        :return: A RepositoryWriteLockResult.
+
+        A token should be passed in if you know that you have locked the object
+        some other way, and need to synchronise this object's state with that
+        fact.
+
+        XXX: this docstring is duplicated in many places, e.g. lockable_files.py
         """
         locked = self.is_locked()
-        token = self.control_files.lock_write(token=token)
+        result = self.control_files.lock_write(token=token)
         if not locked:
             self._warn_if_deprecated()
             self._note_lock('w')
@@ -1428,14 +1400,9 @@
                 # Writes don't affect fallback repos
                 repo.lock_read()
             self._refresh_data()
-        return RepositoryWriteLockResult(self.unlock, token)
+        return result
 
     def lock_read(self):
-        """Lock the repository for read operations.
-
-        :return: An object with an unlock method which will release the lock
-            obtained.
-        """
         locked = self.is_locked()
         self.control_files.lock_read()
         if not locked:
@@ -1444,7 +1411,6 @@
             for repo in self._fallback_repositories:
                 repo.lock_read()
             self._refresh_data()
-        return LogicalLockResult(self.unlock)
 
     def get_physical_lock_status(self):
         return self.control_files.get_physical_lock_status()
@@ -1668,16 +1634,16 @@
         return missing_keys
 
     def refresh_data(self):
-        """Re-read any data needed to synchronise with disk.
+        """Re-read any data needed to to synchronise with disk.
 
         This method is intended to be called after another repository instance
         (such as one used by a smart server) has inserted data into the
-        repository. On all repositories this will work outside of write groups.
-        Some repository formats (pack and newer for bzrlib native formats)
-        support refresh_data inside write groups. If called inside a write
-        group on a repository that does not support refreshing in a write group
-        IsInWriteGroupError will be raised.
+        repository. It may not be called during a write group, but may be
+        called at any other time.
         """
+        if self.is_in_write_group():
+            raise errors.InternalBzrError(
+                "May not refresh_data while in a write group.")
         self._refresh_data()
 
     def resume_write_group(self, tokens):

=== modified file 'bzrlib/revisiontree.py'
--- bzrlib/revisiontree.py	2010-05-06 23:41:35 +0000
+++ bzrlib/revisiontree.py	2010-04-30 11:03:59 +0000
@@ -174,12 +174,8 @@
         return set(self._repository.get_ancestry(self._revision_id,
                                                  topo_sorted=False))
 
-    def is_locked(self):
-        return self._repository.is_locked()
-
     def lock_read(self):
         self._repository.lock_read()
-        return self
 
     def __repr__(self):
         return '<%s instance at %x, rev_id=%r>' % (

=== modified file 'bzrlib/smart/branch.py'
--- bzrlib/smart/branch.py	2010-05-06 23:41:35 +0000
+++ bzrlib/smart/branch.py	2009-10-21 06:05:49 +0000
@@ -292,11 +292,9 @@
         if repo_token == '':
             repo_token = None
         try:
-            repo_token = branch.repository.lock_write(
-                token=repo_token).repository_token
+            repo_token = branch.repository.lock_write(token=repo_token)
             try:
-                branch_token = branch.lock_write(
-                    token=branch_token).branch_token
+                branch_token = branch.lock_write(token=branch_token)
             finally:
                 # this leaves the repository with 1 lock
                 branch.repository.unlock()

=== modified file 'bzrlib/smart/bzrdir.py'
--- bzrlib/smart/bzrdir.py	2010-05-06 23:41:35 +0000
+++ bzrlib/smart/bzrdir.py	2010-04-23 00:44:15 +0000
@@ -429,7 +429,7 @@
             # It is returned locked, but we need to do the lock to get the lock
             # token.
             repo.unlock()
-            repo_lock_token = repo.lock_write().repository_token or ''
+            repo_lock_token = repo.lock_write() or ''
             if repo_lock_token:
                 repo.leave_lock_in_place()
             repo.unlock()

=== modified file 'bzrlib/smart/repository.py'
--- bzrlib/smart/repository.py	2010-05-06 23:41:35 +0000
+++ bzrlib/smart/repository.py	2010-03-25 07:34:15 +0000
@@ -392,7 +392,7 @@
         if token == '':
             token = None
         try:
-            token = repository.lock_write(token=token).repository_token
+            token = repository.lock_write(token=token)
         except errors.LockContention, e:
             return FailedSmartServerResponse(('LockContention',))
         except errors.UnlockableTransport:

=== modified file 'bzrlib/switch.py'
--- bzrlib/switch.py	2010-05-07 11:50:28 +0000
+++ bzrlib/switch.py	2010-05-03 04:08:50 +0000
@@ -78,7 +78,7 @@
     branch_format = control.find_branch_format()
     if branch_format.get_reference(control) is not None:
         # Lightweight checkout: update the branch reference
-        branch_format.set_reference(control, None, to_branch)
+        branch_format.set_reference(control, to_branch)
     else:
         b = control.open_branch()
         bound_branch = b.get_bound_location()

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2010-05-11 08:44:59 +0000
+++ bzrlib/tests/__init__.py	2010-05-06 07:48:22 +0000
@@ -112,13 +112,13 @@
 from bzrlib.tests import (
     test_server,
     TestUtil,
-    treeshape,
     )
 from bzrlib.tests.http_server import HttpServer
 from bzrlib.tests.TestUtil import (
                           TestSuite,
                           TestLoader,
                           )
+from bzrlib.tests.treeshape import build_tree_contents
 from bzrlib.ui import NullProgressView
 from bzrlib.ui.text import TextUIFactory
 import bzrlib.version_info_formats.format_custom
@@ -1524,7 +1524,7 @@
             'EDITOR': None,
             'BZR_EMAIL': None,
             'BZREMAIL': None, # may still be present in the environment
-            'EMAIL': 'jrandom@example.com', # set EMAIL as bzr does not guess
+            'EMAIL': None,
             'BZR_PROGRESS_BAR': None,
             'BZR_LOG': None,
             'BZR_PLUGIN_PATH': None,
@@ -2578,7 +2578,8 @@
                 content = "contents of %s%s" % (name.encode('utf-8'), end)
                 transport.put_bytes_non_atomic(urlutils.escape(name), content)
 
-    build_tree_contents = staticmethod(treeshape.build_tree_contents)
+    def build_tree_contents(self, shape):
+        build_tree_contents(shape)
 
     def assertInWorkingTree(self, path, root_path='.', tree=None):
         """Assert whether path or paths are in the WorkingTree"""

=== modified file 'bzrlib/tests/blackbox/__init__.py'
--- bzrlib/tests/blackbox/__init__.py	2010-05-03 09:19:15 +0000
+++ bzrlib/tests/blackbox/__init__.py	2010-04-26 13:51:08 +0000
@@ -52,7 +52,6 @@
                      'bzrlib.tests.blackbox.test_commit',
                      'bzrlib.tests.blackbox.test_conflicts',
                      'bzrlib.tests.blackbox.test_debug',
-                     'bzrlib.tests.blackbox.test_deleted',
                      'bzrlib.tests.blackbox.test_diff',
                      'bzrlib.tests.blackbox.test_dump_btree',
                      'bzrlib.tests.blackbox.test_dpush',
@@ -72,7 +71,6 @@
                      'bzrlib.tests.blackbox.test_locale',
                      'bzrlib.tests.blackbox.test_log',
                      'bzrlib.tests.blackbox.test_logformats',
-                     'bzrlib.tests.blackbox.test_lookup_revision',
                      'bzrlib.tests.blackbox.test_ls',
                      'bzrlib.tests.blackbox.test_lsprof',
                      'bzrlib.tests.blackbox.test_merge',

=== modified file 'bzrlib/tests/blackbox/test_added.py'
--- bzrlib/tests/blackbox/test_added.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_added.py	2009-03-23 14:59:43 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -67,11 +67,3 @@
         # after commit, now no longer listed
         tree.commit(message='add "%s"' % (name))
         check_added('')
-
-    def test_added_directory(self):
-        """Test --directory option"""
-        tree = self.make_branch_and_tree('a')
-        self.build_tree(['a/README'])
-        tree.add('README')
-        out, err = self.run_bzr(['added', '--directory=a'])
-        self.assertEquals('README\n', out)

=== modified file 'bzrlib/tests/blackbox/test_alias.py'
--- bzrlib/tests/blackbox/test_alias.py	2010-04-29 03:23:18 +0000
+++ bzrlib/tests/blackbox/test_alias.py	2009-03-23 14:59:43 +0000
@@ -16,11 +16,8 @@
 #
 
 """Tests of the 'bzr alias' command."""
-import os
-import codecs
 
 from bzrlib.tests.blackbox import ExternalBase
-from bzrlib.config import (ensure_config_dir_exists, config_filename)
 
 
 class TestAlias(ExternalBase):
@@ -44,26 +41,6 @@
         out, err = self.run_bzr('alias commit')
         self.assertEquals('bzr alias commit="commit --strict"\n', out)
 
-    def test_unicode_alias(self):
-        """Unicode aliases should work (Bug #529930)"""
-        config_enc = 'utf-8'
-        file_name = u'foo\xb6'
-
-        tree = self.make_branch_and_tree('.')
-        self.build_tree([file_name])
-        tree.add(file_name)
-        tree.commit('added')
-
-        ensure_config_dir_exists()
-        CONFIG=(u'[ALIASES]\n'
-                u'ust=st foo\xb6\n')
-
-        codecs.open(config_filename(),'w', config_enc).write(CONFIG)
-
-        out, err = self.run_bzr('ust')
-        self.assertEquals(err, '')
-        self.assertEquals(out, '')
-
     def test_alias_listing_alphabetical(self):
         self.run_bzr('alias commit="commit --strict"')
         self.run_bzr('alias ll="log --short"')

=== modified file 'bzrlib/tests/blackbox/test_annotate.py'
--- bzrlib/tests/blackbox/test_annotate.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_annotate.py	2010-03-24 14:15:01 +0000
@@ -278,12 +278,3 @@
         os.chdir('branch')
         out, err = self.run_bzr('annotate empty')
         self.assertEqual('', out)
-
-    def test_annotate_directory(self):
-        """Test --directory option"""
-        wt = self.make_branch_and_tree('a')
-        self.build_tree_contents([('a/hello.txt', 'my helicopter\n')])
-        wt.add(['hello.txt'])
-        wt.commit('commit', committer='test@user')
-        out, err = self.run_bzr('annotate -d a hello.txt')
-        self.assertEqualDiff('1   test@us | my helicopter\n', out)

=== modified file 'bzrlib/tests/blackbox/test_bound_branches.py'
--- bzrlib/tests/blackbox/test_bound_branches.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_bound_branches.py	2010-02-04 16:06:36 +0000
@@ -422,21 +422,6 @@
         self.check_revno(4)
         self.check_revno(4, '../base')
 
-    def test_bind_directory(self):
-        """Test --directory option"""
-        tree = self.make_branch_and_tree('base')
-        self.build_tree(['base/a', 'base/b'])
-        tree.add('a', 'b')
-        tree.commit(message='init')
-        branch = tree.branch
-        tree.bzrdir.sprout('child')
-        self.run_bzr('bind --directory=child base')
-        d = BzrDir.open('child')
-        self.assertNotEqual(None, d.open_branch().get_master_branch())
-        self.run_bzr('unbind -d child')
-        self.assertEqual(None, d.open_branch().get_master_branch())
-        self.run_bzr('unbind --directory child', retcode=3)
-
 
 class TestBind(script.TestCaseWithTransportAndScript):
 

=== modified file 'bzrlib/tests/blackbox/test_cat.py'
--- bzrlib/tests/blackbox/test_cat.py	2010-05-02 18:16:37 +0000
+++ bzrlib/tests/blackbox/test_cat.py	2010-02-23 07:43:11 +0000
@@ -199,22 +199,3 @@
         self.vfs_transport_factory = memory.MemoryServer
         self.run_bzr_error(['^bzr: ERROR: Not a branch'],
                            ['cat', self.get_url()])
-
-    def test_cat_directory(self):
-        wt = self.make_branch_and_tree('a')
-        self.build_tree(['a/README'])
-        wt.add('README')
-        wt.commit('Making sure there is a basis_tree available')
-
-        out, err = self.run_bzr_subprocess(['cat', '--directory=a', 'README'])
-        self.assertEqual('contents of a/README\n', out)
-
-    def test_cat_remote_directory(self):
-        wt = self.make_branch_and_tree('a')
-        self.build_tree(['a/README'])
-        wt.add('README')
-        wt.commit('Making sure there is a basis_tree available')
-
-        url = self.get_readonly_url() + '/a'
-        out, err = self.run_bzr_subprocess(['cat', '-d', url, 'README'])
-        self.assertEqual('contents of a/README\n', out)

=== modified file 'bzrlib/tests/blackbox/test_cat_revision.py'
--- bzrlib/tests/blackbox/test_cat_revision.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_cat_revision.py	2010-02-15 20:23:34 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004-2010 Canonical Ltd
+# Copyright (C) 2004, 2005, 2007 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -64,10 +64,4 @@
         err = self.run_bzr('cat-revision abcd', retcode=3)[1]
         self.assertContainsRe(err, 'The repository .* contains no revision abcd.')
 
-    def test_cat_revision_directory(self):
-        """Test --directory option"""
-        tree = self.make_branch_and_tree('a')
-        tree.commit('This revision', rev_id='abcd')
-        output, errors = self.run_bzr(['cat-revision', '-d', 'a', u'abcd'])
-        self.assertContainsRe(output, 'This revision')
-        self.assertEqual('', errors)
+

=== modified file 'bzrlib/tests/blackbox/test_checkout.py'
--- bzrlib/tests/blackbox/test_checkout.py	2010-04-30 09:52:08 +0000
+++ bzrlib/tests/blackbox/test_checkout.py	2010-02-17 17:11:16 +0000
@@ -64,8 +64,7 @@
                          result.open_branch().bzrdir.root_transport.base)
 
     def test_checkout_dash_r(self):
-        out, err = self.run_bzr(['checkout', '-r', '-2', 'branch', 'checkout'])
-        self.assertContainsRe(out, 'Copying history to "checkout".')
+        self.run_bzr('checkout -r -2 branch checkout')
         # the working tree should now be at revision '1' with the content
         # from 1.
         result = bzrdir.BzrDir.open('checkout')
@@ -73,9 +72,7 @@
         self.failIfExists('checkout/added_in_2')
 
     def test_checkout_light_dash_r(self):
-        out, err = self.run_bzr(['checkout','--lightweight', '-r', '-2',
-            'branch', 'checkout'])
-        self.assertNotContainsRe(out, 'Copying history')
+        self.run_bzr('checkout --lightweight -r -2 branch checkout')
         # the working tree should now be at revision '1' with the content
         # from 1.
         result = bzrdir.BzrDir.open('checkout')

=== modified file 'bzrlib/tests/blackbox/test_clean_tree.py'
--- bzrlib/tests/blackbox/test_clean_tree.py	2010-05-05 08:57:16 +0000
+++ bzrlib/tests/blackbox/test_clean_tree.py	2009-03-23 14:59:43 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2010 Canonical Ltd
+# Copyright (C) 2005, 2009 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,7 +21,6 @@
 
 import os
 
-from bzrlib import ignores
 from bzrlib.tests import TestCaseWithTransport
 
 
@@ -63,28 +62,3 @@
         self.failIfExists('name')
         self.failIfExists('name~')
         self.failIfExists('name.pyc')
-
-    def test_clean_tree_nested_bzrdir(self):
-        # clean-tree should not blindly delete nested bzrdirs (branches)
-        # bug https://bugs.launchpad.net/bzr/+bug/572098
-        # so it will play well with scmproj/bzr-externals plugins.
-        wt1 = self.make_branch_and_tree('.')
-        wt2 = self.make_branch_and_tree('foo')
-        wt3 = self.make_branch_and_tree('bar')
-        ignores.tree_ignores_add_patterns(wt1, ['./foo'])
-        self.run_bzr(['clean-tree', '--unknown', '--force'])
-        self.failUnlessExists('foo')
-        self.failUnlessExists('bar')
-        self.run_bzr(['clean-tree', '--ignored', '--force'])
-        self.failUnlessExists('foo')
-        self.failUnlessExists('bar')
-
-    def test_clean_tree_directory(self):
-        """Test --directory option"""
-        tree = self.make_branch_and_tree('a')
-        self.build_tree(['a/added', 'a/unknown', 'a/ignored'])
-        tree.add('added')
-        self.run_bzr('clean-tree -d a --unknown --ignored --force')
-        self.failIfExists('a/unknown')
-        self.failIfExists('a/ignored')
-        self.failUnlessExists('a/added')

=== modified file 'bzrlib/tests/blackbox/test_commit.py'
--- bzrlib/tests/blackbox/test_commit.py	2010-05-05 18:51:16 +0000
+++ bzrlib/tests/blackbox/test_commit.py	2010-04-07 22:22:27 +0000
@@ -18,7 +18,6 @@
 """Tests for the commit CLI of bzr."""
 
 import os
-import re
 import sys
 
 from bzrlib import (
@@ -108,40 +107,6 @@
                               'modified hello\.txt\n'
                               'Committed revision 2\.\n$')
 
-    def test_unicode_commit_message_is_filename(self):
-        """Unicode commit message same as a filename (Bug #563646).
-        """
-        file_name = u'\N{euro sign}'
-        self.run_bzr(['init'])
-        open(file_name, 'w').write('hello world')
-        self.run_bzr(['add'])
-        out, err = self.run_bzr(['commit', '-m', file_name])
-        reflags = re.MULTILINE|re.DOTALL|re.UNICODE
-        te = osutils.get_terminal_encoding()
-        self.assertContainsRe(err.decode(te),
-            u'The commit message is a file name:',
-            flags=reflags)
-
-        # Run same test with a filename that causes encode
-        # error for the terminal encoding. We do this
-        # by forcing terminal encoding of ascii for
-        # osutils.get_terminal_encoding which is used
-        # by ui.text.show_warning
-        default_get_terminal_enc = osutils.get_terminal_encoding
-        try:
-            osutils.get_terminal_encoding = lambda: 'ascii'
-            file_name = u'foo\u1234'
-            open(file_name, 'w').write('hello world')
-            self.run_bzr(['add'])
-            out, err = self.run_bzr(['commit', '-m', file_name])
-            reflags = re.MULTILINE|re.DOTALL|re.UNICODE
-            te = osutils.get_terminal_encoding()
-            self.assertContainsRe(err.decode(te, 'replace'),
-                u'The commit message is a file name:',
-                flags=reflags)
-        finally:
-            osutils.get_terminal_encoding = default_get_terminal_enc
-
     def test_warn_about_forgotten_commit_message(self):
         """Test that the lack of -m parameter is caught"""
         wt = self.make_branch_and_tree('.')
@@ -745,15 +710,3 @@
         out, err = self.run_bzr_error(["empty commit message"],
             "commit tree/hello.txt", stdin="n\n")
         self.assertEqual(expected, tree.last_revision())
-
-    def test_commit_without_username(self):
-        """Ensure commit error if username is not set.
-        """
-        self.run_bzr(['init', 'foo'])
-        os.chdir('foo')
-        open('foo.txt', 'w').write('hello')
-        self.run_bzr(['add'])
-        osutils.set_or_unset_env('EMAIL', None)
-        osutils.set_or_unset_env('BZR_EMAIL', None)
-        out, err = self.run_bzr(['commit', '-m', 'initial'], 3)
-        self.assertContainsRe(err, 'Unable to determine your name')

=== removed file 'bzrlib/tests/blackbox/test_deleted.py'
--- bzrlib/tests/blackbox/test_deleted.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_deleted.py	1970-01-01 00:00:00 +0000
@@ -1,37 +0,0 @@
-# Copyright (C) 2010 Canonical Ltd
-# -*- coding: utf-8 -*-
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-
-"""Black-box tests for 'bzr deleted', which shows newly deleted files."""
-
-import os
-
-from bzrlib.branch import Branch
-from bzrlib.tests.blackbox import ExternalBase
-
-
-class TestDeleted(ExternalBase):
-
-    def test_deleted_directory(self):
-        """Test --directory option"""
-        tree = self.make_branch_and_tree('a')
-        self.build_tree(['a/README'])
-        tree.add('README')
-        tree.commit('r1')
-        tree.remove('README')
-        out, err = self.run_bzr(['deleted', '--directory=a'])
-        self.assertEquals('README\n', out)

=== modified file 'bzrlib/tests/blackbox/test_export.py'
--- bzrlib/tests/blackbox/test_export.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_export.py	2010-04-19 04:10:53 +0000
@@ -313,9 +313,3 @@
         har_st = os.stat('t/har')
         self.assertEquals(315532800, har_st.st_mtime)
 
-    def test_export_directory(self):
-        """Test --directory option"""
-        self.example_branch()
-        self.run_bzr(['export', '--directory=branch', 'latest'])
-        self.assertEqual(['goodbye', 'hello'], sorted(os.listdir('latest')))
-        self.check_file_contents('latest/goodbye', 'baz')

=== modified file 'bzrlib/tests/blackbox/test_ignore.py'
--- bzrlib/tests/blackbox/test_ignore.py	2010-05-03 09:19:15 +0000
+++ bzrlib/tests/blackbox/test_ignore.py	2010-04-22 12:45:03 +0000
@@ -156,9 +156,3 @@
                          " and match your ignore pattern:\nb\n"\
                          "These files will continue to be version controlled"\
                          " unless you 'bzr remove' them.\n")
-
-    def test_ignore_directory(self):
-        """Test --directory option"""
-        tree = self.make_branch_and_tree('a')
-        self.run_bzr(['ignore', '--directory=a', 'README'])
-        self.check_file_contents('a/.bzrignore', 'README\n')

=== modified file 'bzrlib/tests/blackbox/test_ignored.py'
--- bzrlib/tests/blackbox/test_ignored.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_ignored.py	2009-03-23 14:59:43 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -38,11 +38,3 @@
         out, err = self.run_bzr('ignored')
         self.assertEqual('', out)
         self.assertEqual('', err)
-
-    def test_ignored_directory(self):
-        """Test --directory option"""
-        tree = self.make_branch_and_tree('a')
-        self.build_tree_contents([('a/README', 'contents'),
-                                  ('a/.bzrignore', 'README')])
-        out, err = self.run_bzr(['ignored', '--directory=a'])
-        self.assertStartsWith(out, 'README')

=== modified file 'bzrlib/tests/blackbox/test_init.py'
--- bzrlib/tests/blackbox/test_init.py	2010-05-05 14:02:53 +0000
+++ bzrlib/tests/blackbox/test_init.py	2010-04-23 07:15:23 +0000
@@ -202,17 +202,3 @@
         self.assertEqual(True, branch._get_append_revisions_only())
         self.run_bzr_error(['cannot be set to append-revisions-only'],
                            'init --append-revisions-only --knit knit')
-
-    def test_init_without_username(self):
-        """Ensure init works if username is not set.
-        """
-        # bzr makes user specified whoami mandatory for operations
-        # like commit as whoami is recorded. init however is not so final
-        # and uses whoami only in a lock file. Without whoami the login name
-        # is used. This test is to ensure that init passes even when whoami
-        # is not available.
-        osutils.set_or_unset_env('EMAIL', None)
-        osutils.set_or_unset_env('BZR_EMAIL', None)
-        out, err = self.run_bzr(['init', 'foo'])
-        self.assertEqual(err, '')
-        self.assertTrue(os.path.exists('foo'))

=== removed file 'bzrlib/tests/blackbox/test_lookup_revision.py'
--- bzrlib/tests/blackbox/test_lookup_revision.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_lookup_revision.py	1970-01-01 00:00:00 +0000
@@ -1,33 +0,0 @@
-# Copyright (C) 2010 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-
-"""Black-box tests for bzr lookup-revision.
-"""
-
-import os
-
-from bzrlib import tests
-
-class TestLookupRevision(tests.TestCaseWithTransport):
-
-    def test_lookup_revison_directory(self):
-        """Test --directory option"""
-        tree = self.make_branch_and_tree('a')
-        tree.commit('This revision', rev_id='abcd')
-        out, err = self.run_bzr(['lookup-revision', '-d', 'a', '1'])
-        self.assertEqual('abcd\n', out)
-        self.assertEqual('', err)

=== modified file 'bzrlib/tests/blackbox/test_ls.py'
--- bzrlib/tests/blackbox/test_ls.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_ls.py	2010-02-17 17:11:16 +0000
@@ -18,7 +18,7 @@
 
 import os
 
-from bzrlib import ignores, osutils
+from bzrlib import ignores
 from bzrlib.tests import TestCaseWithTransport
 
 
@@ -235,12 +235,3 @@
                        '%s/a\n'
                        % (self.test_dir, self.test_dir),
                        self.test_dir, recursive=False)
-
-    def test_ls_directory(self):
-        """Test --directory option"""
-        self.wt = self.make_branch_and_tree('dir')
-        self.build_tree(['dir/sub/', 'dir/sub/file'])
-        self.wt.add(['sub', 'sub/file'])
-        self.wt.commit('commit')
-        self.ls_equals('sub/\nsub/file\n', '--directory=dir')
-        self.ls_equals('sub/file\n', '-d dir sub')

=== modified file 'bzrlib/tests/blackbox/test_modified.py'
--- bzrlib/tests/blackbox/test_modified.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_modified.py	2009-03-23 14:59:43 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -70,12 +70,3 @@
         tree.commit(message='modified %s' %(name))
         check_modified('')
 
-    def test_modified_directory(self):
-        """Test --directory option"""
-        tree = self.make_branch_and_tree('a')
-        self.build_tree(['a/README'])
-        tree.add('README')
-        tree.commit('r1')
-        self.build_tree_contents([('a/README', 'changed\n')])
-        out, err = self.run_bzr(['modified', '--directory=a'])
-        self.assertEquals('README\n', out)

=== modified file 'bzrlib/tests/blackbox/test_nick.py'
--- bzrlib/tests/blackbox/test_nick.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_nick.py	2010-03-01 16:17:57 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2010  Canonical Ltd
+# Copyright (C) 2005, 2006  Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -78,12 +78,3 @@
                          child.branch.get_config().has_explicit_nickname())
         osutils.rmtree('../base')
         self.assertEqual('child', self.run_bzr('nick')[0][:-1])
-
-    def test_nick_directory(self):
-        """Test --directory option"""
-        self.make_branch_and_tree('me.dev')
-        nick = self.run_bzr(['nick', '--directory=me.dev'])[0]
-        self.assertEqual('me.dev\n', nick)
-        self.run_bzr(['nick', '-d', 'me.dev', 'moo'])
-        nick = self.run_bzr(['nick', '--directory', 'me.dev'])[0]
-        self.assertEqual('moo\n', nick)

=== modified file 'bzrlib/tests/blackbox/test_re_sign.py'
--- bzrlib/tests/blackbox/test_re_sign.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_re_sign.py	2010-01-25 17:48:22 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2010 Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -88,16 +88,3 @@
         self.assertEqualSignature(repo, 'A')
         self.assertEqualSignature(repo, 'B')
         self.assertEqualSignature(repo, 'C')
-
-    def test_resign_directory(self):
-        """Test --directory option"""
-        wt = BzrDir.create_standalone_workingtree('a')
-        wt.commit("base A", allow_pointless=True, rev_id='A')
-        wt.commit("base B", allow_pointless=True, rev_id='B')
-        wt.commit("base C", allow_pointless=True, rev_id='C')
-        repo = wt.branch.repository
-        self.monkey_patch_gpg()
-        self.run_bzr('re-sign --directory=a -r revid:A')
-        self.assertEqualSignature(repo, 'A')
-        self.run_bzr('re-sign -d a B')
-        self.assertEqualSignature(repo, 'B')

=== modified file 'bzrlib/tests/blackbox/test_shared_repository.py'
--- bzrlib/tests/blackbox/test_shared_repository.py	2010-05-05 14:02:53 +0000
+++ bzrlib/tests/blackbox/test_shared_repository.py	2010-03-25 18:02:45 +0000
@@ -18,7 +18,6 @@
 
 import os
 
-from bzrlib import osutils
 from bzrlib.bzrdir import BzrDir, BzrDirMetaFormat1
 import bzrlib.errors as errors
 from bzrlib.tests import TestCaseInTempDir
@@ -146,17 +145,3 @@
         self.assertLength(0, calls)
         self.run_bzr("init-repository a")
         self.assertLength(1, calls)
-
-    def test_init_repo_without_username(self):
-        """Ensure init-repo works if username is not set.
-        """
-        # bzr makes user specified whoami mandatory for operations
-        # like commit as whoami is recorded. init-repo however is not so final
-        # and uses whoami only in a lock file. Without whoami the login name
-        # is used. This test is to ensure that init-repo passes even when whoami
-        # is not available.
-        osutils.set_or_unset_env('EMAIL', None)
-        osutils.set_or_unset_env('BZR_EMAIL', None)
-        out, err = self.run_bzr(['init-repo', 'foo'])
-        self.assertEqual(err, '')
-        self.assertTrue(os.path.exists('foo'))

=== modified file 'bzrlib/tests/blackbox/test_unknowns.py'
--- bzrlib/tests/blackbox/test_unknowns.py	2010-05-02 20:10:25 +0000
+++ bzrlib/tests/blackbox/test_unknowns.py	2009-03-23 14:59:43 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2010 Canonical Ltd
+# Copyright (C) 2007 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -45,10 +45,3 @@
         # after all added, none shown
         tree.add(['b', 'c'])
         self.assertEquals(self.run_bzr('unknowns')[0], '')
-
-    def test_unknowns_directory(self):
-        """Test --directory option"""
-        tree = self.make_branch_and_tree('a')
-        self.build_tree(['a/README'])
-        out, err = self.run_bzr(['unknowns', '--directory=a'])
-        self.assertEquals('README\n', out)

=== modified file 'bzrlib/tests/blackbox/test_whoami.py'
--- bzrlib/tests/blackbox/test_whoami.py	2010-04-27 17:09:48 +0000
+++ bzrlib/tests/blackbox/test_whoami.py	2009-03-23 14:59:43 +0000
@@ -20,7 +20,6 @@
 import os
 
 import bzrlib
-from bzrlib import osutils
 from bzrlib.branch import Branch
 from bzrlib.tests.blackbox import ExternalBase
 
@@ -112,11 +111,3 @@
         self.assertEquals('"Branch Identity" does not seem to contain an '
                           'email address.  This is allowed, but not '
                           'recommended.\n', display)
-
-    def test_whoami_not_set(self):
-        """Ensure whoami error if username is not set.
-        """
-        osutils.set_or_unset_env('EMAIL', None)
-        osutils.set_or_unset_env('BZR_EMAIL', None)
-        out, err = self.run_bzr(['whoami'], 3)
-        self.assertContainsRe(err, 'Unable to determine your name')

=== modified file 'bzrlib/tests/commands/test_checkout.py'
--- bzrlib/tests/commands/test_checkout.py	2010-05-03 08:33:32 +0000
+++ bzrlib/tests/commands/test_checkout.py	2010-04-09 03:58:14 +0000
@@ -14,6 +14,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
+
 from bzrlib.builtins import cmd_checkout
 from bzrlib.tests.transport_util import TestCaseWithConnectionHookedTransport
 

=== modified file 'bzrlib/tests/per_branch/test_branch.py'
--- bzrlib/tests/per_branch/test_branch.py	2010-04-29 08:59:13 +0000
+++ bzrlib/tests/per_branch/test_branch.py	2010-04-21 04:12:25 +0000
@@ -668,8 +668,7 @@
         this_branch = self.make_branch('this')
         other_branch = self.make_branch('other')
         try:
-            this_branch._format.set_reference(this_branch.bzrdir, None,
-                other_branch)
+            this_branch._format.set_reference(this_branch.bzrdir, other_branch)
         except NotImplementedError:
             # that's ok
             pass

=== modified file 'bzrlib/tests/per_branch/test_break_lock.py'
--- bzrlib/tests/per_branch/test_break_lock.py	2010-05-06 23:41:35 +0000
+++ bzrlib/tests/per_branch/test_break_lock.py	2010-02-10 17:52:08 +0000
@@ -41,7 +41,7 @@
     def test_unlocked_repo_locked(self):
         # break lock on the branch should try on the repository even
         # if the branch isn't locked
-        token = self.branch.repository.lock_write().repository_token
+        token = self.branch.repository.lock_write()
         if token is None:
             self.branch.repository.unlock()
             raise tests.TestNotApplicable(

=== modified file 'bzrlib/tests/per_branch/test_locking.py'
--- bzrlib/tests/per_branch/test_locking.py	2010-05-06 23:41:35 +0000
+++ bzrlib/tests/per_branch/test_locking.py	2010-02-10 17:52:08 +0000
@@ -25,7 +25,6 @@
     lock_helpers,
     per_branch,
     )
-from bzrlib.tests.matchers import *
 
 
 class TestBranchLocking(per_branch.TestCaseWithBranch):
@@ -292,7 +291,7 @@
 
     def test_lock_write_returns_None_refuses_token(self):
         branch = self.make_branch('b')
-        token = branch.lock_write().branch_token
+        token = branch.lock_write()
         try:
             if token is not None:
                 # This test does not apply, because this lockable supports
@@ -305,7 +304,7 @@
 
     def test_reentering_lock_write_raises_on_token_mismatch(self):
         branch = self.make_branch('b')
-        token = branch.lock_write().branch_token
+        token = branch.lock_write()
         try:
             if token is None:
                 # This test does not apply, because this lockable refuses
@@ -322,7 +321,7 @@
 
     def test_lock_write_with_nonmatching_token(self):
         branch = self.make_branch('b')
-        token = branch.lock_write().branch_token
+        token = branch.lock_write()
         try:
             if token is None:
                 # This test does not apply, because this branch refuses
@@ -345,7 +344,7 @@
         """Test that a branch can be locked with a token, if it is already
         locked by that token."""
         branch = self.make_branch('b')
-        token = branch.lock_write().branch_token
+        token = branch.lock_write()
         try:
             if token is None:
                 # This test does not apply, because this branch refuses tokens.
@@ -369,7 +368,7 @@
         # If lock_write did not physically acquire the lock (because it was
         # passed some tokens), then unlock should not physically release it.
         branch = self.make_branch('b')
-        token = branch.lock_write().branch_token
+        token = branch.lock_write()
         try:
             if token is None:
                 # This test does not apply, because this lockable refuses
@@ -391,17 +390,19 @@
         # to lock with a token that is no longer valid (because the original
         # lock was released).
         branch = self.make_branch('b')
-        token = branch.lock_write().branch_token
+        token = branch.lock_write()
         branch.unlock()
         if token is None:
             # This test does not apply, because this lockable refuses
             # tokens.
             return
-        self.assertRaises(errors.TokenMismatch, branch.lock_write, token=token)
+
+        self.assertRaises(errors.TokenMismatch,
+                          branch.lock_write, token=token)
 
     def test_lock_write_reenter_with_token(self):
         branch = self.make_branch('b')
-        token = branch.lock_write().branch_token
+        token = branch.lock_write()
         try:
             if token is None:
                 # This test does not apply, because this lockable refuses
@@ -419,15 +420,11 @@
         new_branch.lock_write()
         new_branch.unlock()
 
-    def test_lock_write_returns_unlockable(self):
-        branch = self.make_branch('b')
-        self.assertThat(branch.lock_write, ReturnsUnlockable(branch))
-
     def test_leave_lock_in_place(self):
         branch = self.make_branch('b')
         # Lock the branch, then use leave_lock_in_place so that when we
         # unlock the branch the lock is still held on disk.
-        token = branch.lock_write().branch_token
+        token = branch.lock_write()
         try:
             if token is None:
                 # This test does not apply, because this repository refuses lock
@@ -448,7 +445,7 @@
     def test_dont_leave_lock_in_place(self):
         branch = self.make_branch('b')
         # Create a lock on disk.
-        token = branch.lock_write().branch_token
+        token = branch.lock_write()
         try:
             if token is None:
                 # This test does not apply, because this branch refuses lock
@@ -500,10 +497,6 @@
         branch.lock_read()
         branch.unlock()
 
-    def test_lock_read_returns_unlockable(self):
-        branch = self.make_branch('b')
-        self.assertThat(branch.lock_read, ReturnsUnlockable(branch))
-
     def test_lock_write_locks_repo_too(self):
         if isinstance(self.branch_format, _mod_branch.BzrBranchFormat4):
             # Branch format 4 is combined with the repository, so this test
@@ -530,10 +523,6 @@
         finally:
             branch.unlock()
 
-    def test_lock_write_returns_unlockable(self):
-        branch = self.make_branch('b')
-        self.assertThat(branch.lock_write, ReturnsUnlockable(branch))
-
     def test_lock_and_unlock_leaves_repo_unlocked(self):
         branch = self.make_branch('b')
         branch.lock_write()

=== modified file 'bzrlib/tests/per_bzrdir_colo/test_unsupported.py'
--- bzrlib/tests/per_bzrdir_colo/test_unsupported.py	2010-04-16 22:28:06 +0000
+++ bzrlib/tests/per_bzrdir_colo/test_unsupported.py	2010-04-11 19:40:23 +0000
@@ -35,7 +35,15 @@
 
 class TestNoColocatedSupport(TestCaseWithBzrDir):
 
-    def make_bzrdir_with_repo(self):
+    def test_destroy_colocated_branch(self):
+        branch = self.make_branch('branch')
+        # Colocated branches should not be supported *or* 
+        # destroy_branch should not be supported at all
+        self.assertRaises(
+            (errors.NoColocatedBranchSupport, errors.UnsupportedOperation),
+            branch.bzrdir.destroy_branch, 'colo')
+
+    def test_create_colo_branch(self):
         # a bzrdir can construct a branch and repository for itself.
         if not self.bzrdir_format.is_supported():
             # unsupported formats are not loopback testable
@@ -45,27 +53,7 @@
         t = get_transport(self.get_url())
         made_control = self.bzrdir_format.initialize(t.base)
         made_repo = made_control.create_repository()
-        return made_control
-
-    def test_destroy_colocated_branch(self):
-        branch = self.make_branch('branch')
-        # Colocated branches should not be supported *or* 
-        # destroy_branch should not be supported at all
-        self.assertRaises(
-            (errors.NoColocatedBranchSupport, errors.UnsupportedOperation),
-            branch.bzrdir.destroy_branch, 'colo')
-
-    def test_create_colo_branch(self):
-        made_control = self.make_bzrdir_with_repo()
         self.assertRaises(errors.NoColocatedBranchSupport, 
             made_control.create_branch, "colo")
 
-    def test_branch_transport(self):
-        made_control = self.make_bzrdir_with_repo()
-        self.assertRaises(errors.NoColocatedBranchSupport,
-            made_control.get_branch_transport, None, "colo")
 
-    def test_get_branch_reference(self):
-        made_control = self.make_bzrdir_with_repo()
-        self.assertRaises(errors.NoColocatedBranchSupport,
-            made_control.get_branch_reference, "colo")

=== modified file 'bzrlib/tests/per_pack_repository.py'
--- bzrlib/tests/per_pack_repository.py	2010-05-06 23:41:35 +0000
+++ bzrlib/tests/per_pack_repository.py	2010-03-18 05:24:02 +0000
@@ -720,16 +720,6 @@
         self.assertEqual(self.format_supports_external_lookups,
             repo._format.supports_external_lookups)
 
-    def _lock_write(self, write_lockable):
-        """Lock write_lockable, add a cleanup and return the result.
-        
-        :param write_lockable: An object with a lock_write method.
-        :return: The result of write_lockable.lock_write().
-        """
-        result = write_lockable.lock_write()
-        self.addCleanup(result.unlock)
-        return result
-
     def test_abort_write_group_does_not_raise_when_suppressed(self):
         """Similar to per_repository.test_write_group's test of the same name.
 
@@ -737,7 +727,8 @@
         """
         self.vfs_transport_factory = memory.MemoryServer
         repo = self.make_repository('repo', format=self.get_format())
-        token = self._lock_write(repo).repository_token
+        token = repo.lock_write()
+        self.addCleanup(repo.unlock)
         repo.start_write_group()
         # Damage the repository on the filesystem
         self.get_transport('').rename('repo', 'foo')
@@ -753,7 +744,8 @@
     def test_abort_write_group_does_raise_when_not_suppressed(self):
         self.vfs_transport_factory = memory.MemoryServer
         repo = self.make_repository('repo', format=self.get_format())
-        token = self._lock_write(repo).repository_token
+        token = repo.lock_write()
+        self.addCleanup(repo.unlock)
         repo.start_write_group()
         # Damage the repository on the filesystem
         self.get_transport('').rename('repo', 'foo')
@@ -765,7 +757,8 @@
     def test_suspend_write_group(self):
         self.vfs_transport_factory = memory.MemoryServer
         repo = self.make_repository('repo', format=self.get_format())
-        token = self._lock_write(repo).repository_token
+        token = repo.lock_write()
+        self.addCleanup(repo.unlock)
         repo.start_write_group()
         repo.texts.add_lines(('file-id', 'revid'), (), ['lines'])
         wg_tokens = repo.suspend_write_group()
@@ -786,7 +779,8 @@
         repo = self.make_repository('repo', format=self.get_format())
         if repo.chk_bytes is None:
             raise TestNotApplicable('no chk_bytes for this repository')
-        token = self._lock_write(repo).repository_token
+        token = repo.lock_write()
+        self.addCleanup(repo.unlock)
         repo.start_write_group()
         text = 'a bit of text\n'
         key = ('sha1:' + osutils.sha_string(text),)
@@ -807,7 +801,8 @@
         # Create a repo, start a write group, insert some data, suspend.
         self.vfs_transport_factory = memory.MemoryServer
         repo = self.make_repository('repo', format=self.get_format())
-        token = self._lock_write(repo).repository_token
+        token = repo.lock_write()
+        self.addCleanup(repo.unlock)
         repo.start_write_group()
         text_key = ('file-id', 'revid')
         repo.texts.add_lines(text_key, (), ['lines'])
@@ -827,7 +822,8 @@
     def test_commit_resumed_write_group(self):
         self.vfs_transport_factory = memory.MemoryServer
         repo = self.make_repository('repo', format=self.get_format())
-        token = self._lock_write(repo).repository_token
+        token = repo.lock_write()
+        self.addCleanup(repo.unlock)
         repo.start_write_group()
         text_key = ('file-id', 'revid')
         repo.texts.add_lines(text_key, (), ['lines'])
@@ -855,14 +851,16 @@
         self.vfs_transport_factory = memory.MemoryServer
         # Make a repository with a suspended write group
         repo = self.make_repository('repo', format=self.get_format())
-        token = self._lock_write(repo).repository_token
+        token = repo.lock_write()
+        self.addCleanup(repo.unlock)
         repo.start_write_group()
         text_key = ('file-id', 'revid')
         repo.texts.add_lines(text_key, (), ['lines'])
         wg_tokens = repo.suspend_write_group()
         # Make a new repository
         new_repo = self.make_repository('new_repo', format=self.get_format())
-        token = self._lock_write(new_repo).repository_token
+        token = new_repo.lock_write()
+        self.addCleanup(new_repo.unlock)
         hacked_wg_token = (
             '../../../../repo/.bzr/repository/upload/' + wg_tokens[0])
         self.assertRaises(

=== modified file 'bzrlib/tests/per_repository/test_refresh_data.py'
--- bzrlib/tests/per_repository/test_refresh_data.py	2010-05-11 08:44:59 +0000
+++ bzrlib/tests/per_repository/test_refresh_data.py	2009-03-23 14:59:43 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib import (
     errors,
-    repository,
+    remote,
     )
 from bzrlib.tests import TestSkipped
 from bzrlib.tests.per_repository import TestCaseWithRepository
@@ -45,34 +45,22 @@
         self.addCleanup(repo.unlock)
         repo.refresh_data()
 
-    def test_refresh_data_in_write_group(self):
-        # refresh_data may either succeed or raise IsInWriteGroupError during a
-        # write group.
+    def test_refresh_data_in_write_group_errors(self):
         repo = self.make_repository('.')
         repo.lock_write()
         self.addCleanup(repo.unlock)
         repo.start_write_group()
         self.addCleanup(repo.abort_write_group)
-        try:
-            repo.refresh_data()
-        except repository.IsInWriteGroupError:
-            # This is ok.
-            pass
-        else:
-            # This is ok too.
-            pass
+        # No flow control anticipated, BzrError is enough
+        self.assertRaises(errors.BzrError, repo.refresh_data)
 
-    def fetch_new_revision_into_concurrent_instance(self, repo, token):
-        """Create a new revision (revid 'new-rev') and fetch it into a
-        concurrent instance of repo.
-        """
-        source = self.make_branch_and_memory_tree('source')
-        source.lock_write()
-        self.addCleanup(source.unlock)
-        source.add([''], ['root-id'])
-        revid = source.commit('foo', rev_id='new-rev')
+    def test_refresh_data_after_fetch_new_data_visible(self):
+        source = self.make_branch_and_tree('source')
+        revid = source.commit('foo')
+        repo = self.make_repository('target')
+        token = repo.lock_write()
+        self.addCleanup(repo.unlock)
         # Force data reading on weaves/knits
-        repo.all_revision_ids()
         repo.revisions.keys()
         repo.inventories.keys()
         # server repo is the instance a smart server might hold for this
@@ -87,34 +75,5 @@
             server_repo.fetch(source.branch.repository, revid)
         finally:
             server_repo.unlock()
-
-    def test_refresh_data_after_fetch_new_data_visible(self):
-        repo = self.make_repository('target')
-        token = repo.lock_write().repository_token
-        self.addCleanup(repo.unlock)
-        self.fetch_new_revision_into_concurrent_instance(repo, token)
         repo.refresh_data()
-        self.assertNotEqual({}, repo.get_graph().get_parent_map(['new-rev']))
-
-    def test_refresh_data_after_fetch_new_data_visible_in_write_group(self):
-        tree = self.make_branch_and_memory_tree('target')
-        tree.lock_write()
-        self.addCleanup(tree.unlock)
-        tree.add([''], ['root-id'])
-        tree.commit('foo', rev_id='commit-in-target')
-        repo = tree.branch.repository
-        token = repo.lock_write()
-        self.addCleanup(repo.unlock)
-        repo.start_write_group()
-        self.addCleanup(repo.abort_write_group)
-        self.fetch_new_revision_into_concurrent_instance(repo, token)
-        # Call refresh_data.  It either fails with IsInWriteGroupError, or it
-        # succeeds and the new revisions are visible.
-        try:
-            repo.refresh_data()
-        except repository.IsInWriteGroupError:
-            pass
-        else:
-            self.assertEqual(
-                ['commit-in-target', 'new-rev'],
-                sorted(repo.all_revision_ids()))
+        self.assertNotEqual({}, repo.get_graph().get_parent_map([revid]))

=== modified file 'bzrlib/tests/per_repository/test_repository.py'
--- bzrlib/tests/per_repository/test_repository.py	2010-05-06 23:41:35 +0000
+++ bzrlib/tests/per_repository/test_repository.py	2010-04-21 04:53:33 +0000
@@ -47,7 +47,6 @@
     per_repository,
     test_server,
     )
-from bzrlib.tests.matchers import *
 
 
 class TestRepositoryMakeBranchAndTree(per_repository.TestCaseWithRepository):
@@ -1088,7 +1087,7 @@
         repo = self.make_repository('r')
         # Lock the repository, then use leave_lock_in_place so that when we
         # unlock the repository the lock is still held on disk.
-        token = repo.lock_write().repository_token
+        token = repo.lock_write()
         try:
             if token is None:
                 # This test does not apply, because this repository refuses lock
@@ -1108,7 +1107,7 @@
     def test_dont_leave_lock_in_place(self):
         repo = self.make_repository('r')
         # Create a lock on disk.
-        token = repo.lock_write().repository_token
+        token = repo.lock_write()
         try:
             if token is None:
                 # This test does not apply, because this repository refuses lock
@@ -1142,14 +1141,6 @@
         repo.lock_read()
         repo.unlock()
 
-    def test_lock_read_returns_unlockable(self):
-        repo = self.make_repository('r')
-        self.assertThat(repo.lock_read, ReturnsUnlockable(repo))
-
-    def test_lock_write_returns_unlockable(self):
-        repo = self.make_repository('r')
-        self.assertThat(repo.lock_write, ReturnsUnlockable(repo))
-
 
 class TestCaseWithComplexRepository(per_repository.TestCaseWithRepository):
 

=== modified file 'bzrlib/tests/per_tree/__init__.py'
--- bzrlib/tests/per_tree/__init__.py	2010-05-06 23:41:35 +0000
+++ bzrlib/tests/per_tree/__init__.py	2010-02-10 17:52:08 +0000
@@ -386,7 +386,6 @@
         'inv',
         'iter_search_rules',
         'list_files',
-        'locking',
         'path_content_summary',
         'revision_tree',
         'test_trees',

=== removed file 'bzrlib/tests/per_tree/test_locking.py'
--- bzrlib/tests/per_tree/test_locking.py	2010-05-06 23:41:35 +0000
+++ bzrlib/tests/per_tree/test_locking.py	1970-01-01 00:00:00 +0000
@@ -1,28 +0,0 @@
-# Copyright (C) 2010 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-"""Test that all trees support Tree.lock_read()"""
-
-from bzrlib.tests.matchers import *
-from bzrlib.tests.per_tree import TestCaseWithTree
-
-
-class TestLocking(TestCaseWithTree):
-
-    def test_lock_read(self):
-        work_tree = self.make_branch_and_tree('wt')
-        tree = self.workingtree_to_test_tree(work_tree)
-        self.assertThat(tree.lock_read, ReturnsUnlockable(tree))

=== modified file 'bzrlib/tests/per_workingtree/test_locking.py'
--- bzrlib/tests/per_workingtree/test_locking.py	2010-05-06 23:41:35 +0000
+++ bzrlib/tests/per_workingtree/test_locking.py	2009-08-25 23:38:10 +0000
@@ -24,7 +24,6 @@
     lockdir,
     )
 from bzrlib.tests import TestSkipped
-from bzrlib.tests.matchers import *
 from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
@@ -45,10 +44,6 @@
         self.assertFalse(wt.is_locked())
         self.assertFalse(wt.branch.is_locked())
 
-    def test_lock_read_returns_unlocker(self):
-        wt = self.make_branch_and_tree('.')
-        self.assertThat(wt.lock_read, ReturnsUnlockable(wt))
-
     def test_trivial_lock_write_unlock(self):
         """Locking for write and unlocking should work trivially."""
         wt = self.make_branch_and_tree('.')
@@ -64,10 +59,6 @@
         self.assertFalse(wt.is_locked())
         self.assertFalse(wt.branch.is_locked())
 
-    def test_lock_write_returns_unlocker(self):
-        wt = self.make_branch_and_tree('.')
-        self.assertThat(wt.lock_write, ReturnsUnlockable(wt))
-
     def test_trivial_lock_tree_write_unlock(self):
         """Locking for tree write is ok when the branch is not locked."""
         wt = self.make_branch_and_tree('.')
@@ -83,10 +74,6 @@
         self.assertFalse(wt.is_locked())
         self.assertFalse(wt.branch.is_locked())
 
-    def test_lock_tree_write_returns_unlocker(self):
-        wt = self.make_branch_and_tree('.')
-        self.assertThat(wt.lock_tree_write, ReturnsUnlockable(wt))
-
     def test_trivial_lock_tree_write_branch_read_locked(self):
         """It is ok to lock_tree_write when the branch is read locked."""
         wt = self.make_branch_and_tree('.')

=== modified file 'bzrlib/tests/per_workingtree/test_remove.py'
--- bzrlib/tests/per_workingtree/test_remove.py	2010-04-30 10:28:36 +0000
+++ bzrlib/tests/per_workingtree/test_remove.py	2009-07-10 07:14:02 +0000
@@ -278,20 +278,6 @@
         self.assertRemovedAndDeleted(files)
         tree._validate()
 
-    def test_remove_directory_with_changed_emigrated_file(self):
-        # As per bug #129880
-        tree = self.make_branch_and_tree('.')
-        self.build_tree_contents([('somedir/',), ('somedir/file', 'contents')])
-        tree.add(['somedir', 'somedir/file'])
-        tree.commit(message="first")
-        self.build_tree_contents([('somedir/file', 'changed')])
-        tree.rename_one('somedir/file', 'moved-file')
-        tree.remove('somedir', keep_files=False)
-        self.assertNotInWorkingTree('somedir')
-        self.failIfExists('somedir')
-        self.assertInWorkingTree('moved-file')
-        self.failUnlessExists('moved-file')
-
     def test_remove_directory_with_renames(self):
         """Delete directory with renames in or out."""
 

=== modified file 'bzrlib/tests/stub_sftp.py'
--- bzrlib/tests/stub_sftp.py	2010-05-10 12:12:35 +0000
+++ bzrlib/tests/stub_sftp.py	2010-03-11 04:33:41 +0000
@@ -283,19 +283,15 @@
         self._socket.close()
 
     def run(self):
-        trace.mutter('SocketListener %r has started', self)
         while True:
             readable, writable_unused, exception_unused = \
                 select.select([self._socket], [], [], 0.1)
             if self._stop_event.isSet():
-                trace.mutter('SocketListener %r has stopped', self)
                 return
             if len(readable) == 0:
                 continue
             try:
                 s, addr_unused = self._socket.accept()
-                trace.mutter('SocketListener %r has accepted connection %r',
-                    self, s)
                 # because the loopback socket is inline, and transports are
                 # never explicitly closed, best to launch a new thread.
                 threading.Thread(target=self._callback, args=(s,)).start()

=== modified file 'bzrlib/tests/test_help.py'
--- bzrlib/tests/test_help.py	2010-05-07 04:25:37 +0000
+++ bzrlib/tests/test_help.py	2010-04-23 08:51:52 +0000
@@ -122,7 +122,6 @@
             '\n'
             'Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'
@@ -143,7 +142,6 @@
             '\n'
             ':Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'
@@ -179,7 +177,6 @@
             '\n'
             'Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'
@@ -199,7 +196,6 @@
             '\n'
             'Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'
@@ -234,7 +230,6 @@
             '\n'
             'Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'
@@ -278,7 +273,6 @@
             '\n'
             'Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'

=== modified file 'bzrlib/tests/test_ignores.py'
--- bzrlib/tests/test_ignores.py	2010-05-03 04:51:58 +0000
+++ bzrlib/tests/test_ignores.py	2009-12-26 21:31:56 +0000
@@ -165,55 +165,27 @@
 
 
 class TestTreeIgnores(TestCaseWithTransport):
-    
-    def assertPatternsEquals(self, patterns):
-        contents = open(".bzrignore", 'rU').read().strip().split('\n')
-        self.assertEquals(sorted(patterns), sorted(contents))
 
     def test_new_file(self):
         tree = self.make_branch_and_tree(".")
         ignores.tree_ignores_add_patterns(tree, ["myentry"])
         self.assertTrue(tree.has_filename(".bzrignore"))
-        self.assertPatternsEquals(["myentry"])
+        self.assertEquals("myentry\n",
+                          open(".bzrignore", 'r').read())
 
     def test_add_to_existing(self):
         tree = self.make_branch_and_tree(".")
         self.build_tree_contents([('.bzrignore', "myentry1\n")])
         tree.add([".bzrignore"])
         ignores.tree_ignores_add_patterns(tree, ["myentry2", "foo"])
-        self.assertPatternsEquals(["myentry1", "myentry2", "foo"])
+        self.assertEquals("myentry1\nmyentry2\nfoo\n",
+                          open(".bzrignore", 'r').read())
 
     def test_adds_ending_newline(self):
         tree = self.make_branch_and_tree(".")
         self.build_tree_contents([('.bzrignore', "myentry1")])
         tree.add([".bzrignore"])
         ignores.tree_ignores_add_patterns(tree, ["myentry2"])
-        self.assertPatternsEquals(["myentry1", "myentry2"])
-        text = open(".bzrignore", 'r').read()
-        self.assertTrue(text.endswith('\r\n') or
-                        text.endswith('\n') or
-                        text.endswith('\r'))
-
-    def test_does_not_add_dupe(self):
-        tree = self.make_branch_and_tree(".")
-        self.build_tree_contents([('.bzrignore', "myentry\n")])
-        tree.add([".bzrignore"])
-        ignores.tree_ignores_add_patterns(tree, ["myentry"])
-        self.assertPatternsEquals(["myentry"])
-
-    def test_non_ascii(self):
-        tree = self.make_branch_and_tree(".")
-        self.build_tree_contents([('.bzrignore',
-                                   u"myentry\u1234\n".encode('utf-8'))])
-        tree.add([".bzrignore"])
-        ignores.tree_ignores_add_patterns(tree, [u"myentry\u5678"])
-        self.assertPatternsEquals([u"myentry\u1234".encode('utf-8'),
-                                   u"myentry\u5678".encode('utf-8')])
-
-    def test_crlf(self):
-        tree = self.make_branch_and_tree(".")
-        self.build_tree_contents([('.bzrignore', "myentry1\r\n")])
-        tree.add([".bzrignore"])
-        ignores.tree_ignores_add_patterns(tree, ["myentry2", "foo"])
-        self.assertEquals(open('.bzrignore', 'rb').read(), 'myentry1\r\nmyentry2\r\nfoo\r\n')
-        self.assertPatternsEquals(["myentry1", "myentry2", "foo"])
+        self.assertEquals("myentry1\nmyentry2\n",
+                          open(".bzrignore", 'r').read())
+

=== modified file 'bzrlib/tests/test_log.py'
--- bzrlib/tests/test_log.py	2010-05-05 08:18:32 +0000
+++ bzrlib/tests/test_log.py	2010-04-28 07:10:36 +0000
@@ -1543,151 +1543,6 @@
     def test_bugs_handler_present(self):
         self.properties_handler_registry.get('bugs_properties_handler')
 
-
-class TestLogForAuthors(TestCaseForLogFormatter):
-
-    def setUp(self):
-        TestCaseForLogFormatter.setUp(self)
-        self.wt = self.make_standard_commit('nicky',
-            authors=['John Doe <jdoe@example.com>',
-                     'Jane Rey <jrey@example.com>'])
-
-    def assertFormatterResult(self, formatter, who, result):
-        formatter_kwargs = dict()
-        if who is not None:
-            author_list_handler = log.author_list_registry.get(who)
-            formatter_kwargs['author_list_handler'] = author_list_handler
-        TestCaseForLogFormatter.assertFormatterResult(self, result,
-            self.wt.branch, formatter, formatter_kwargs=formatter_kwargs)
-
-    def test_line_default(self):
-        self.assertFormatterResult(log.LineLogFormatter, None, """\
-1: John Doe 2005-11-22 add a
-""")
-
-    def test_line_committer(self):
-        self.assertFormatterResult(log.LineLogFormatter, 'committer', """\
-1: Lorem Ipsum 2005-11-22 add a
-""")
-
-    def test_line_first(self):
-        self.assertFormatterResult(log.LineLogFormatter, 'first', """\
-1: John Doe 2005-11-22 add a
-""")
-
-    def test_line_all(self):
-        self.assertFormatterResult(log.LineLogFormatter, 'all', """\
-1: John Doe, Jane Rey 2005-11-22 add a
-""")
-
-
-    def test_short_default(self):
-        self.assertFormatterResult(log.ShortLogFormatter, None, """\
-    1 John Doe\t2005-11-22
-      add a
-
-""")
-
-    def test_short_committer(self):
-        self.assertFormatterResult(log.ShortLogFormatter, 'committer', """\
-    1 Lorem Ipsum\t2005-11-22
-      add a
-
-""")
-
-    def test_short_first(self):
-        self.assertFormatterResult(log.ShortLogFormatter, 'first', """\
-    1 John Doe\t2005-11-22
-      add a
-
-""")
-
-    def test_short_all(self):
-        self.assertFormatterResult(log.ShortLogFormatter, 'all', """\
-    1 John Doe, Jane Rey\t2005-11-22
-      add a
-
-""")
-
-    def test_long_default(self):
-        self.assertFormatterResult(log.LongLogFormatter, None, """\
-------------------------------------------------------------
-revno: 1
-author: John Doe <jdoe@example.com>, Jane Rey <jrey@example.com>
-committer: Lorem Ipsum <test@example.com>
-branch nick: nicky
-timestamp: Tue 2005-11-22 00:00:00 +0000
-message:
-  add a
-""")
-
-    def test_long_committer(self):
-        self.assertFormatterResult(log.LongLogFormatter, 'committer', """\
-------------------------------------------------------------
-revno: 1
-committer: Lorem Ipsum <test@example.com>
-branch nick: nicky
-timestamp: Tue 2005-11-22 00:00:00 +0000
-message:
-  add a
-""")
-
-    def test_long_first(self):
-        self.assertFormatterResult(log.LongLogFormatter, 'first', """\
-------------------------------------------------------------
-revno: 1
-author: John Doe <jdoe@example.com>
-committer: Lorem Ipsum <test@example.com>
-branch nick: nicky
-timestamp: Tue 2005-11-22 00:00:00 +0000
-message:
-  add a
-""")
-
-    def test_long_all(self):
-        self.assertFormatterResult(log.LongLogFormatter, 'all', """\
-------------------------------------------------------------
-revno: 1
-author: John Doe <jdoe@example.com>, Jane Rey <jrey@example.com>
-committer: Lorem Ipsum <test@example.com>
-branch nick: nicky
-timestamp: Tue 2005-11-22 00:00:00 +0000
-message:
-  add a
-""")
-
-    def test_gnu_changelog_default(self):
-        self.assertFormatterResult(log.GnuChangelogLogFormatter, None, """\
-2005-11-22  John Doe  <jdoe@example.com>
-
-\tadd a
-
-""")
-
-    def test_gnu_changelog_committer(self):
-        self.assertFormatterResult(log.GnuChangelogLogFormatter, 'committer', """\
-2005-11-22  Lorem Ipsum  <test@example.com>
-
-\tadd a
-
-""")
-
-    def test_gnu_changelog_first(self):
-        self.assertFormatterResult(log.GnuChangelogLogFormatter, 'first', """\
-2005-11-22  John Doe  <jdoe@example.com>
-
-\tadd a
-
-""")
-
-    def test_gnu_changelog_all(self):
-        self.assertFormatterResult(log.GnuChangelogLogFormatter, 'all', """\
-2005-11-22  John Doe  <jdoe@example.com>, Jane Rey  <jrey@example.com>
-
-\tadd a
-
-""")
-
 class TestLogExcludeAncestry(tests.TestCaseWithTransport):
 
     def make_branch_with_alternate_ancestries(self, relpath='.'):

=== modified file 'bzrlib/tests/test_osutils.py'
--- bzrlib/tests/test_osutils.py	2010-05-05 14:11:13 +0000
+++ bzrlib/tests/test_osutils.py	2010-04-27 07:52:08 +0000
@@ -2018,14 +2018,3 @@
         self.assertEquals(self.path, 'test_file')
         self.assertEquals(self.uid, s.st_uid)
         self.assertEquals(self.gid, s.st_gid)
-
-class TestGetuserUnicode(tests.TestCase):
-
-    def test_ascii_user(self):
-        osutils.set_or_unset_env('LOGNAME', 'jrandom')
-        self.assertEqual(u'jrandom', osutils.getuser_unicode())
-
-    def test_unicode_user(self):
-        ue = osutils.get_user_encoding()
-        osutils.set_or_unset_env('LOGNAME', u'jrandom\xb6'.encode(ue))
-        self.assertEqual(u'jrandom\xb6', osutils.getuser_unicode())

=== modified file 'bzrlib/tests/test_remote.py'
--- bzrlib/tests/test_remote.py	2010-05-11 08:44:59 +0000
+++ bzrlib/tests/test_remote.py	2010-05-03 04:08:50 +0000
@@ -609,7 +609,7 @@
         # _get_tree_branch is a form of open_branch, but it should only ask for
         # branch opening, not any other network requests.
         calls = []
-        def open_branch(name=None):
+        def open_branch():
             calls.append("Called")
             return "a-branch"
         transport = MemoryTransport()
@@ -2301,11 +2301,11 @@
         transport_path = 'quack'
         repo, client = self.setup_fake_client_and_repository(transport_path)
         client.add_success_response('ok', 'a token')
-        token = repo.lock_write().repository_token
+        result = repo.lock_write()
         self.assertEqual(
             [('call', 'Repository.lock_write', ('quack/', ''))],
             client._calls)
-        self.assertEqual('a token', token)
+        self.assertEqual('a token', result)
 
     def test_lock_write_already_locked(self):
         transport_path = 'quack'

=== modified file 'bzrlib/tests/test_smart.py'
--- bzrlib/tests/test_smart.py	2010-05-06 23:41:35 +0000
+++ bzrlib/tests/test_smart.py	2010-03-02 22:25:58 +0000
@@ -767,8 +767,8 @@
 class TestLockedBranch(tests.TestCaseWithMemoryTransport):
 
     def get_lock_tokens(self, branch):
-        branch_token = branch.lock_write().branch_token
-        repo_token = branch.repository.lock_write().repository_token
+        branch_token = branch.lock_write()
+        repo_token = branch.repository.lock_write()
         branch.repository.unlock()
         return branch_token, repo_token
 
@@ -1073,7 +1073,7 @@
             response)
 
 
-class TestSmartServerBranchRequestSetParent(TestLockedBranch):
+class TestSmartServerBranchRequestSetParent(tests.TestCaseWithMemoryTransport):
 
     def test_set_parent_none(self):
         branch = self.make_branch('base', format="1.9")
@@ -1082,10 +1082,12 @@
         branch.unlock()
         request = smart_branch.SmartServerBranchRequestSetParentLocation(
             self.get_transport())
-        branch_token, repo_token = self.get_lock_tokens(branch)
+        branch_token = branch.lock_write()
+        repo_token = branch.repository.lock_write()
         try:
             response = request.execute('base', branch_token, repo_token, '')
         finally:
+            branch.repository.unlock()
             branch.unlock()
         self.assertEqual(smart_req.SuccessfulSmartServerResponse(()), response)
         self.assertEqual(None, branch.get_parent())
@@ -1094,11 +1096,13 @@
         branch = self.make_branch('base', format="1.9")
         request = smart_branch.SmartServerBranchRequestSetParentLocation(
             self.get_transport())
-        branch_token, repo_token = self.get_lock_tokens(branch)
+        branch_token = branch.lock_write()
+        repo_token = branch.repository.lock_write()
         try:
             response = request.execute('base', branch_token, repo_token,
             'http://bar/')
         finally:
+            branch.repository.unlock()
             branch.unlock()
         self.assertEqual(smart_req.SuccessfulSmartServerResponse(()), response)
         self.assertEqual('http://bar/', branch.get_parent())
@@ -1133,7 +1137,7 @@
             response)
 
 
-class TestSmartServerBranchRequestLockWrite(TestLockedBranch):
+class TestSmartServerBranchRequestLockWrite(tests.TestCaseWithMemoryTransport):
 
     def setUp(self):
         tests.TestCaseWithMemoryTransport.setUp(self)
@@ -1161,7 +1165,7 @@
         backing = self.get_transport()
         request = smart_branch.SmartServerBranchRequestLockWrite(backing)
         branch = self.make_branch('.')
-        branch_token = branch.lock_write().branch_token
+        branch_token = branch.lock_write()
         branch.leave_lock_in_place()
         branch.unlock()
         response = request.execute('')
@@ -1176,7 +1180,9 @@
         backing = self.get_transport()
         request = smart_branch.SmartServerBranchRequestLockWrite(backing)
         branch = self.make_branch('.', format='knit')
-        branch_token, repo_token = self.get_lock_tokens(branch)
+        branch_token = branch.lock_write()
+        repo_token = branch.repository.lock_write()
+        branch.repository.unlock()
         branch.leave_lock_in_place()
         branch.repository.leave_lock_in_place()
         branch.unlock()
@@ -1197,7 +1203,9 @@
         backing = self.get_transport()
         request = smart_branch.SmartServerBranchRequestLockWrite(backing)
         branch = self.make_branch('.', format='knit')
-        branch_token, repo_token = self.get_lock_tokens(branch)
+        branch_token = branch.lock_write()
+        repo_token = branch.repository.lock_write()
+        branch.repository.unlock()
         branch.leave_lock_in_place()
         branch.repository.leave_lock_in_place()
         branch.unlock()
@@ -1218,7 +1226,7 @@
         request = smart_branch.SmartServerBranchRequestLockWrite(backing)
         branch = self.make_branch('.', format='knit')
         repo = branch.repository
-        repo_token = repo.lock_write().repository_token
+        repo_token = repo.lock_write()
         repo.leave_lock_in_place()
         repo.unlock()
         response = request.execute('')
@@ -1241,7 +1249,7 @@
         self.assertEqual('LockFailed', error_name)
 
 
-class TestSmartServerBranchRequestUnlock(TestLockedBranch):
+class TestSmartServerBranchRequestUnlock(tests.TestCaseWithMemoryTransport):
 
     def setUp(self):
         tests.TestCaseWithMemoryTransport.setUp(self)
@@ -1251,7 +1259,9 @@
         request = smart_branch.SmartServerBranchRequestUnlock(backing)
         branch = self.make_branch('.', format='knit')
         # Lock the branch
-        branch_token, repo_token = self.get_lock_tokens(branch)
+        branch_token = branch.lock_write()
+        repo_token = branch.repository.lock_write()
+        branch.repository.unlock()
         # Unlock the branch (and repo) object, leaving the physical locks
         # in place.
         branch.leave_lock_in_place()
@@ -1281,12 +1291,13 @@
         request = smart_branch.SmartServerBranchRequestUnlock(backing)
         branch = self.make_branch('.', format='knit')
         # Lock the repository.
-        repo_token = branch.repository.lock_write().repository_token
+        repo_token = branch.repository.lock_write()
         branch.repository.leave_lock_in_place()
         branch.repository.unlock()
         # Issue branch lock_write request on the unlocked branch (with locked
         # repo).
-        response = request.execute('', 'branch token', repo_token)
+        response = request.execute(
+            '', 'branch token', repo_token)
         self.assertEqual(
             smart_req.SmartServerResponse(('TokenMismatch',)), response)
         # Cleanup
@@ -1599,7 +1610,7 @@
         backing = self.get_transport()
         request = smart_repo.SmartServerRepositoryLockWrite(backing)
         repository = self.make_repository('.', format='knit')
-        repo_token = repository.lock_write().repository_token
+        repo_token = repository.lock_write()
         repository.leave_lock_in_place()
         repository.unlock()
         response = request.execute('')
@@ -1647,7 +1658,7 @@
         request = smart_repo.SmartServerRepositoryInsertStreamLocked(
             backing)
         repository = self.make_repository('.', format='knit')
-        lock_token = repository.lock_write().repository_token
+        lock_token = repository.lock_write()
         response = request.execute('', '', lock_token)
         self.assertEqual(None, response)
         response = request.do_chunk(self.make_empty_byte_stream(repository))
@@ -1661,7 +1672,7 @@
         request = smart_repo.SmartServerRepositoryInsertStreamLocked(
             backing)
         repository = self.make_repository('.', format='knit')
-        lock_token = repository.lock_write().repository_token
+        lock_token = repository.lock_write()
         self.assertRaises(
             errors.TokenMismatch, request.execute, '', '', 'wrong-token')
         repository.unlock()
@@ -1676,7 +1687,7 @@
         backing = self.get_transport()
         request = smart_repo.SmartServerRepositoryUnlock(backing)
         repository = self.make_repository('.', format='knit')
-        token = repository.lock_write().repository_token
+        token = repository.lock_write()
         repository.leave_lock_in_place()
         repository.unlock()
         response = request.execute('', token)

=== modified file 'bzrlib/tests/test_transform.py'
--- bzrlib/tests/test_transform.py	2010-05-10 16:25:47 +0000
+++ bzrlib/tests/test_transform.py	2010-03-12 10:52:01 +0000
@@ -25,37 +25,23 @@
     filters,
     generate_ids,
     osutils,
+    progress,
     revision as _mod_revision,
     rules,
     tests,
     urlutils,
     )
 from bzrlib.bzrdir import BzrDir
-from bzrlib.conflicts import (
-    DeletingParent,
-    DuplicateEntry,
-    DuplicateID,
-    MissingParent,
-    NonDirectoryParent,
-    ParentLoop,
-    UnversionedParent,
-)
+from bzrlib.conflicts import (DuplicateEntry, DuplicateID, MissingParent,
+                              UnversionedParent, ParentLoop, DeletingParent,
+                              NonDirectoryParent)
 from bzrlib.diff import show_diff_trees
-from bzrlib.errors import (
-    DuplicateKey,
-    ExistingLimbo,
-    ExistingPendingDeletion,
-    ImmortalLimbo,
-    ImmortalPendingDeletion,
-    LockError,
-    MalformedTransform,
-    NoSuchFile,
-    ReusingTransform,
-)
-from bzrlib.osutils import (
-    file_kind,
-    pathjoin,
-)
+from bzrlib.errors import (DuplicateKey, MalformedTransform, NoSuchFile,
+                           ReusingTransform, CantMoveRoot,
+                           PathsNotVersionedError, ExistingLimbo,
+                           ExistingPendingDeletion, ImmortalLimbo,
+                           ImmortalPendingDeletion, LockError)
+from bzrlib.osutils import file_kind, pathjoin
 from bzrlib.merge import Merge3Merger, Merger
 from bzrlib.tests import (
     HardlinkFeature,
@@ -63,20 +49,12 @@
     TestCase,
     TestCaseInTempDir,
     TestSkipped,
-)
-from bzrlib.transform import (
-    build_tree,
-    create_from_tree,
-    cook_conflicts,
-    _FileMover,
-    FinalPaths,
-    get_backup_name,
-    resolve_conflicts,
-    resolve_checkout,
-    ROOT_PARENT,
-    TransformPreview,
-    TreeTransform,
-)
+    )
+from bzrlib.transform import (TreeTransform, ROOT_PARENT, FinalPaths,
+                              resolve_conflicts, cook_conflicts,
+                              build_tree, get_backup_name,
+                              _FileMover, resolve_checkout,
+                              TransformPreview, create_from_tree)
 
 
 class TestTreeTransform(tests.TestCaseWithTransport):
@@ -2113,38 +2091,6 @@
         self.assertRaises(errors.MalformedTransform, tt.commit, branch,
                           'message')
 
-    def test_commit_rich_revision_data(self):
-        branch, tt = self.get_branch_and_transform()
-        rev_id = tt.commit(branch, 'message', timestamp=1, timezone=43201,
-                           committer='me <me@example.com>',
-                           revprops={'foo': 'bar'}, revision_id='revid-1',
-                           authors=['Author1 <author1@example.com>',
-                              'Author2 <author2@example.com>',
-                               ])
-        self.assertEqual('revid-1', rev_id)
-        revision = branch.repository.get_revision(rev_id)
-        self.assertEqual(1, revision.timestamp)
-        self.assertEqual(43201, revision.timezone)
-        self.assertEqual('me <me@example.com>', revision.committer)
-        self.assertEqual(['Author1 <author1@example.com>',
-                          'Author2 <author2@example.com>'],
-                         revision.get_apparent_authors())
-        del revision.properties['authors']
-        self.assertEqual({'foo': 'bar',
-                          'branch-nick': 'tree'},
-                         revision.properties)
-
-    def test_no_explicit_revprops(self):
-        branch, tt = self.get_branch_and_transform()
-        rev_id = tt.commit(branch, 'message', authors=[
-            'Author1 <author1@example.com>',
-            'Author2 <author2@example.com>', ])
-        revision = branch.repository.get_revision(rev_id)
-        self.assertEqual(['Author1 <author1@example.com>',
-                          'Author2 <author2@example.com>'],
-                         revision.get_apparent_authors())
-        self.assertEqual('tree', revision.properties['branch-nick'])
-
 
 class MockTransform(object):
 

=== modified file 'bzrlib/tests/treeshape.py'
--- bzrlib/tests/treeshape.py	2010-05-05 00:05:29 +0000
+++ bzrlib/tests/treeshape.py	2009-03-23 14:59:43 +0000
@@ -41,10 +41,6 @@
 
     The template is built relative to the Python process's current
     working directory.
-
-    ('foo/',) will build a directory.
-    ('foo', 'bar') will write 'bar' to 'foo'
-    ('foo@', 'linktarget') will raise an error
     """
     for tt in template:
         name = tt[0]

=== modified file 'bzrlib/trace.py'
--- bzrlib/trace.py	2010-05-05 02:35:02 +0000
+++ bzrlib/trace.py	2010-03-30 14:44:30 +0000
@@ -111,12 +111,6 @@
 
 
 def note(*args, **kwargs):
-    """Output a note to the user.
-
-    Takes the same parameters as logging.info.
-
-    :return: None
-    """
     # FIXME note always emits utf-8, regardless of the terminal encoding
     #
     # FIXME: clearing the ui and then going through the abstract logging

=== modified file 'bzrlib/transform.py'
--- bzrlib/transform.py	2010-05-11 08:44:59 +0000
+++ bzrlib/transform.py	2010-04-30 11:35:43 +0000
@@ -25,7 +25,6 @@
     annotate,
     bencode,
     bzrdir,
-    commit,
     delta,
     errors,
     inventory,
@@ -928,27 +927,12 @@
         """
         return _PreviewTree(self)
 
-    def commit(self, branch, message, merge_parents=None, strict=False,
-               timestamp=None, timezone=None, committer=None, authors=None,
-               revprops=None, revision_id=None):
+    def commit(self, branch, message, merge_parents=None, strict=False):
         """Commit the result of this TreeTransform to a branch.
 
         :param branch: The branch to commit to.
         :param message: The message to attach to the commit.
-        :param merge_parents: Additional parent revision-ids specified by
-            pending merges.
-        :param strict: If True, abort the commit if there are unversioned
-            files.
-        :param timestamp: if not None, seconds-since-epoch for the time and
-            date.  (May be a float.)
-        :param timezone: Optional timezone for timestamp, as an offset in
-            seconds.
-        :param committer: Optional committer in email-id format.
-            (e.g. "J Random Hacker <jrandom@example.com>")
-        :param authors: Optional list of authors in email-id format.
-        :param revprops: Optional dictionary of revision properties.
-        :param revision_id: Optional revision id.  (Specifying a revision-id
-            may reduce performance for some non-native formats.)
+        :param merge_parents: Additional parents specified by pending merges.
         :return: The revision_id of the revision committed.
         """
         self._check_malformed()
@@ -971,13 +955,7 @@
         if self._tree.get_revision_id() != last_rev_id:
             raise ValueError('TreeTransform not based on branch basis: %s' %
                              self._tree.get_revision_id())
-        revprops = commit.Commit.update_revprops(revprops, branch, authors)
-        builder = branch.get_commit_builder(parent_ids,
-                                            timestamp=timestamp,
-                                            timezone=timezone,
-                                            committer=committer,
-                                            revprops=revprops,
-                                            revision_id=revision_id)
+        builder = branch.get_commit_builder(parent_ids)
         preview = self.get_preview_tree()
         list(builder.record_iter_changes(preview, last_rev_id,
                                          self.iter_changes()))
@@ -1820,12 +1798,9 @@
             executable = self.is_executable(file_id, path)
         return kind, executable, None
 
-    def is_locked(self):
-        return False
-
     def lock_read(self):
         # Perhaps in theory, this should lock the TreeTransform?
-        return self
+        pass
 
     def unlock(self):
         pass

=== modified file 'bzrlib/transport/__init__.py'
--- bzrlib/transport/__init__.py	2010-05-04 06:22:51 +0000
+++ bzrlib/transport/__init__.py	2010-04-16 07:56:51 +0000
@@ -539,9 +539,6 @@
 
         This function will only be defined for Transports which have a
         physical local filesystem representation.
-
-        :raises errors.NotLocalUrl: When no local path representation is
-            available.
         """
         raise errors.NotLocalUrl(self.abspath(relpath))
 

=== modified file 'bzrlib/transport/http/_urllib2_wrappers.py'
--- bzrlib/transport/http/_urllib2_wrappers.py	2010-05-08 05:56:28 +0000
+++ bzrlib/transport/http/_urllib2_wrappers.py	2010-02-17 17:11:16 +0000
@@ -378,11 +378,6 @@
             port = conn_class.default_port
         self.proxied_host = '%s:%s' % (host, port)
         urllib2.Request.set_proxy(self, proxy, type)
-        # When urllib2 makes a https request with our wrapper code and a proxy,
-        # it sets Host to the https proxy, not the host we want to talk to.
-        # I'm fairly sure this is our fault, but what is the cause is an open
-        # question. -- Robert Collins May 8 2010.
-        self.add_unredirected_header('Host', self.proxied_host)
 
 
 class _ConnectRequest(Request):
@@ -716,7 +711,7 @@
             connect = _ConnectRequest(request)
             response = self.parent.open(connect)
             if response.code != 200:
-                raise errors.ConnectionError("Can't connect to %s via proxy %s" % (
+                raise ConnectionError("Can't connect to %s via proxy %s" % (
                         connect.proxied_host, self.host))
             # Housekeeping
             connection.cleanup_pipe()
@@ -873,19 +868,21 @@
                 print 'Will unbind %s_open for %r' % (type, proxy)
             delattr(self, '%s_open' % type)
 
-        def bind_scheme_request(proxy, scheme):
-            if proxy is None:
-                return
-            scheme_request = scheme + '_request'
-            if self._debuglevel >= 3:
-                print 'Will bind %s for %r' % (scheme_request, proxy)
-            setattr(self, scheme_request,
-                lambda request: self.set_proxy(request, scheme))
         # We are interested only by the http[s] proxies
         http_proxy = self.get_proxy_env_var('http')
-        bind_scheme_request(http_proxy, 'http')
         https_proxy = self.get_proxy_env_var('https')
-        bind_scheme_request(https_proxy, 'https')
+
+        if http_proxy is not None:
+            if self._debuglevel >= 3:
+                print 'Will bind http_request for %r' % http_proxy
+            setattr(self, 'http_request',
+                    lambda request: self.set_proxy(request, 'http'))
+
+        if https_proxy is not None:
+            if self._debuglevel >= 3:
+                print 'Will bind http_request for %r' % https_proxy
+            setattr(self, 'https_request',
+                    lambda request: self.set_proxy(request, 'https'))
 
     def get_proxy_env_var(self, name, default_to='all'):
         """Get a proxy env var.

=== modified file 'bzrlib/tree.py'
--- bzrlib/tree.py	2010-05-11 08:36:16 +0000
+++ bzrlib/tree.py	2010-04-30 11:03:59 +0000
@@ -582,10 +582,6 @@
             yield child.file_id
 
     def lock_read(self):
-        """Lock this tree for multiple read only operations.
-        
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
         pass
 
     def revision_tree(self, revision_id):

=== modified file 'bzrlib/ui/text.py'
--- bzrlib/ui/text.py	2010-04-22 16:04:16 +0000
+++ bzrlib/ui/text.py	2010-03-25 07:34:15 +0000
@@ -233,9 +233,6 @@
 
     def show_warning(self, msg):
         self.clear_term()
-        if isinstance(msg, unicode):
-            te = osutils.get_terminal_encoding()
-            msg = msg.encode(te, 'replace')
         self.stderr.write("bzr: warning: %s\n" % msg)
 
     def _progress_updated(self, task):

=== modified file 'bzrlib/util/_bencode_py.py'
--- bzrlib/util/_bencode_py.py	2010-05-03 20:57:39 +0000
+++ bzrlib/util/_bencode_py.py	2009-12-01 19:44:12 +0000
@@ -90,9 +90,8 @@
             raise TypeError
         try:
             r, l = self.decode_func[x[0]](x, 0)
-        except (IndexError, KeyError, OverflowError), e:
-            import sys
-            raise ValueError, ValueError(str(e)), sys.exc_info()[2]
+        except (IndexError, KeyError):
+            raise ValueError
         if l != len(x):
             raise ValueError
         return r

=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2010-05-11 08:44:59 +0000
+++ bzrlib/workingtree.py	2010-04-30 11:35:43 +0000
@@ -77,7 +77,6 @@
 
 from bzrlib import symbol_versioning
 from bzrlib.decorators import needs_read_lock, needs_write_lock
-from bzrlib.lock import LogicalLockResult
 from bzrlib.lockable_files import LockableFiles
 from bzrlib.lockdir import LockDir
 import bzrlib.mutabletree
@@ -1799,48 +1798,34 @@
             raise errors.ObjectNotLocked(self)
 
     def lock_read(self):
-        """Lock the tree for reading.
-
-        This also locks the branch, and can be unlocked via self.unlock().
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
+        """See Branch.lock_read, and WorkingTree.unlock."""
         if not self.is_locked():
             self._reset_data()
         self.branch.lock_read()
         try:
-            self._control_files.lock_read()
-            return LogicalLockResult(self.unlock)
+            return self._control_files.lock_read()
         except:
             self.branch.unlock()
             raise
 
     def lock_tree_write(self):
-        """See MutableTree.lock_tree_write, and WorkingTree.unlock.
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
+        """See MutableTree.lock_tree_write, and WorkingTree.unlock."""
         if not self.is_locked():
             self._reset_data()
         self.branch.lock_read()
         try:
-            self._control_files.lock_write()
-            return LogicalLockResult(self.unlock)
+            return self._control_files.lock_write()
         except:
             self.branch.unlock()
             raise
 
     def lock_write(self):
-        """See MutableTree.lock_write, and WorkingTree.unlock.
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
+        """See MutableTree.lock_write, and WorkingTree.unlock."""
         if not self.is_locked():
             self._reset_data()
         self.branch.lock_write()
         try:
-            self._control_files.lock_write()
-            return LogicalLockResult(self.unlock)
+            return self._control_files.lock_write()
         except:
             self.branch.unlock()
             raise
@@ -1971,7 +1956,8 @@
         def recurse_directory_to_add_files(directory):
             # Recurse directory and add all files
             # so we can check if they have changed.
-            for parent_info, file_infos in self.walkdirs(directory):
+            for parent_info, file_infos in\
+                self.walkdirs(directory):
                 for relpath, basename, kind, lstat, fileid, kind in file_infos:
                     # Is it versioned or ignored?
                     if self.path2id(relpath) or self.is_ignored(relpath):
@@ -2012,10 +1998,8 @@
                             # ... but not ignored
                             has_changed_files = True
                             break
-                    elif (content_change and (kind[1] is not None) and
-                            osutils.is_inside_any(files, path[1])):
-                        # Versioned and changed, but not deleted, and still
-                        # in one of the dirs to be deleted.
+                    elif content_change and (kind[1] is not None):
+                        # Versioned and changed, but not deleted
                         has_changed_files = True
                         break
 
@@ -2652,14 +2636,10 @@
 
         In Format2 WorkingTrees we have a single lock for the branch and tree
         so lock_tree_write() degrades to lock_write().
-
-        :return: An object with an unlock method which will release the lock
-            obtained.
         """
         self.branch.lock_write()
         try:
-            self._control_files.lock_write()
-            return self
+            return self._control_files.lock_write()
         except:
             self.branch.unlock()
             raise

=== modified file 'bzrlib/workingtree_4.py'
--- bzrlib/workingtree_4.py	2010-05-11 08:36:16 +0000
+++ bzrlib/workingtree_4.py	2010-04-30 11:03:59 +0000
@@ -53,7 +53,6 @@
 from bzrlib.decorators import needs_read_lock, needs_write_lock
 from bzrlib.filters import filtered_input_file, internal_size_sha_file_byname
 from bzrlib.inventory import Inventory, ROOT_ID, entry_factory
-from bzrlib.lock import LogicalLockResult
 from bzrlib.mutabletree import needs_tree_write_lock
 from bzrlib.osutils import (
     file_kind,
@@ -568,10 +567,7 @@
             return _mod_revision.NULL_REVISION
 
     def lock_read(self):
-        """See Branch.lock_read, and WorkingTree.unlock.
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
+        """See Branch.lock_read, and WorkingTree.unlock."""
         self.branch.lock_read()
         try:
             self._control_files.lock_read()
@@ -590,7 +586,6 @@
         except:
             self.branch.unlock()
             raise
-        return LogicalLockResult(self.unlock)
 
     def _lock_self_write(self):
         """This should be called after the branch is locked."""
@@ -611,23 +606,16 @@
         except:
             self.branch.unlock()
             raise
-        return LogicalLockResult(self.unlock)
 
     def lock_tree_write(self):
-        """See MutableTree.lock_tree_write, and WorkingTree.unlock.
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
+        """See MutableTree.lock_tree_write, and WorkingTree.unlock."""
         self.branch.lock_read()
-        return self._lock_self_write()
+        self._lock_self_write()
 
     def lock_write(self):
-        """See MutableTree.lock_write, and WorkingTree.unlock.
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
+        """See MutableTree.lock_write, and WorkingTree.unlock."""
         self.branch.lock_write()
-        return self._lock_self_write()
+        self._lock_self_write()
 
     @needs_tree_write_lock
     def move(self, from_paths, to_dir, after=False):
@@ -1871,9 +1859,6 @@
             return None
         return ie.executable
 
-    def is_locked(self):
-        return self._locked
-
     def list_files(self, include_root=False, from_dir=None, recursive=True):
         # We use a standard implementation, because DirStateRevisionTree is
         # dealing with one of the parents of the current state
@@ -1892,17 +1877,13 @@
             yield path, 'V', entry.kind, entry.file_id, entry
 
     def lock_read(self):
-        """Lock the tree for a set of operations.
-
-        :return: A bzrlib.lock.LogicalLockResult.
-        """
+        """Lock the tree for a set of operations."""
         if not self._locked:
             self._repository.lock_read()
             if self._dirstate._lock_token is None:
                 self._dirstate.lock_read()
                 self._dirstate_locked = True
         self._locked += 1
-        return LogicalLockResult(self.unlock)
 
     def _must_be_locked(self):
         if not self._locked:

=== modified file 'doc/developers/testing.txt'
--- doc/developers/testing.txt	2010-05-06 23:41:35 +0000
+++ doc/developers/testing.txt	2010-04-16 07:56:51 +0000
@@ -772,15 +772,12 @@
 
 TestCase
     A base TestCase that extends the Python standard library's
-    TestCase in several ways.  TestCase is build on
-    ``testtools.TestCase``, which gives it support for more assertion
-    methods (e.g.  ``assertContainsRe``), ``addCleanup``, and other
-    features (see its API docs for details).  It also has a ``setUp`` that
-    makes sure that global state like registered hooks and loggers won't
-    interfere with your test.  All tests should use this base class
-    (whether directly or via a subclass).  Note that we are trying not to
-    add more assertions at this point, and instead to build up a library
-    of ``bzrlib.tests.matchers``.
+    TestCase in several ways.  It adds more assertion methods (e.g.
+    ``assertContainsRe``), ``addCleanup``, and other features (see its API
+    docs for details).  It also has a ``setUp`` that makes sure that
+    global state like registered hooks and loggers won't interfere with
+    your test.  All tests should use this base class (whether directly or
+    via a subclass).
 
 TestCaseWithMemoryTransport
     Extends TestCase and adds methods like ``get_transport``,

=== modified file 'setup.py'
--- setup.py	2010-04-19 21:04:31 +0000
+++ setup.py	2010-04-08 04:34:03 +0000
@@ -281,6 +281,7 @@
     add_pyrex_extension('bzrlib._dirstate_helpers_pyx',
                         libraries=['Ws2_32'])
     add_pyrex_extension('bzrlib._walkdirs_win32')
+    z_lib = 'zdll'
 else:
     if have_pyrex and pyrex_version_info[:3] == (0,9,4):
         # Pyrex 0.9.4.1 fails to compile this extension correctly
@@ -297,7 +298,8 @@
     else:
         add_pyrex_extension('bzrlib._dirstate_helpers_pyx')
     add_pyrex_extension('bzrlib._readdir_pyx')
-add_pyrex_extension('bzrlib._chk_map_pyx')
+    z_lib = 'z'
+add_pyrex_extension('bzrlib._chk_map_pyx', libraries=[z_lib])
 ext_modules.append(Extension('bzrlib._patiencediff_c',
                              ['bzrlib/_patiencediff_c.c']))
 if have_pyrex and pyrex_version_info < (0, 9, 6, 3):

